Ubumatic – skrypt, który skonfiguruje Ubuntu 10.04 LTS i 10.10 do podstawowych czynności [aktualizacja]

Żeby było szybciej, łatwiej i przyjemniej zacząć przygodę z najnowszym wydaniem Ubuntu 10.04 Lucid Lynx LTS i 10.10 Maverick Meerkat po raz kolejny postanowiłem udostępnić wszystkim prosty skrypt Ubumatic, który pomoże skonfigurować system do najbardziej podstawowych czynności. Skrypt obsługuje 32 i 64 bitowe wersje Ubuntu 10.04 Lucid Lynx LTS i 10.10 Maverick Meerkat.


Ubumatic

Skrypt ilością opcji może nie zaskakuje, ale dla przeciętnego użytkownika, który korzysta z komputera do internetu i multimediów na początek w zupełności powinny wystarczyć. To jeszcze nie wszystko, ponieważ skrypt posiada dodatkowe opcje, które działają w różnych wersjach Ubuntu:
~/Pobrane/ubumatic.sh --help
...
[./ubumatic.sh --opcja]
--help - pomoc
[sudo ./ubumatic.sh --opcja]
--kubuntu - podstawowa konfiguracja Kubuntu (KDE)
--lubuntu - podstawowa konfiguracja Lubuntu (LXDE)
--restoregrub - zainstaluj ponownie program rozruchowy GRUB 2 (tylko z Live CD)
--ubuntu - podstawowa konfiguracja Ubuntu (GNOME)
--xubuntu - podstawowa konfiguracja Xubuntu (Xfce)
...

Pobierz skrypt: Ubumatic dla Ubuntu 10.04 i 10.10

Po pobraniu paczki na dysk twardy, aby uruchomić skrypt, trzeba zrobić następujące kroki:
- kliknąć prawym przyciskiem myszy na pobrany plik i z menu wybrać Rozpakuj tutaj,
- uruchomić rozpakowany skrypt i w okienku kliknąć na przycisk Uruchom,
- lub uruchomić rozpakowany skrypt w terminalu, np.: sudo ./ubumatic.sh --opcja.

Ze skryptu korzystasz na własną odpowiedzialność

246 » odpowiedzi dla wpisu “Ubumatic – skrypt, który skonfiguruje Ubuntu 10.04 LTS i 10.10 do podstawowych czynności [aktualizacja]”


  1. 1 Kowalski

    i to jest właśnie to czego mi trzeba. Podziękował – Jak wyjdzie stabilny lucid to na pewno skorzystam

  2. 2 biker48

    Ja jeszcze jednak poczekam. Na 10.04 zdecyduję się za jakieś dwa góra trzy miesiące.
    Wie ktoś czy modemy GSM są domyślnie obsługiwane, czy trzeba coś doinstalowywać? Mam Globtrotera wbudowanego w laptopa :)
    Jeśli nie ma takiej obsługi to przydała by się opcja instalacji w Ubumatic.

  3. 3 mlody969

    Ja jako stary Windiarz, użytkownik Windows 7 nie moge się doczekać nowego Ubuntu. Na pewno jednak się na niego nie przesiądę w 100% – ponieważ nie obsługuje wszystkiego z czego normalnie korzystam :(

  4. 4 Franek

    Epul? Empitt? O_o WTF? :D Skrypt kozacki, będę go polecał :D
    @biker48 większość modemów działa, modemów usb, zresztą bywa różnie, dlatego jak nie sprawdzisz do się nie dowiesz :> z tym czekaniem z instalacją nowego ubu, to dobry pomysł, na początku różne bugi zawszę wychodzą :P

  5. 5 majsza

    I teraz ludziska nie będą zasypywać pytaniami jak zmienić Ubuntu w Lśniącego Lamparcika ;)

  6. 6 pioruns

    A dlaczego w skrypcie nie ma ustawiania repozytorium Medibuntu, gdzie jest np. działający Skype pod 32 i 64 bit?

  7. 7 k2cl

    @ pioruns
    Stan faktyczny jeśli chodzi o instalację Skype wygląda nieco inaczej, niż piszesz. Proponuję zapoznać się chociażby z takim oto ogłoszeniem: https://launchpad.net/medibuntu/+announcement/4539

  8. 8 siemien

    A gdzie pojawiły się dodatkowe opcje takie jak preload, prelink, optymalizacja swapa, wielurdzeni itp? Byłem pewien że znajdą się one we finalnej wersji Ubumatic… :-<

  9. 9 Admc

    Wywalić otwartą javę i wstawić zamkniętą. Otwarta nie działa z większością aplikacji online które bazują na javie. Już sobie wyobrażam lawinowo rosnącą liczbę tematów w stylu „gry na kurniku nie działają” czy „nie działa czat WP”.

  10. 10 empitt

    Epul? Empitt? O_o WTF?

    Ooo ;)

    A dlaczego w skrypcie nie ma ustawiania repozytorium Medibuntu

    Przecież w skrypcie jest dodane repozytorium Medibuntu, tyle że zapasowe, ponieważ główne ostatnio nie działają.

    Wywalić otwartą javę i wstawić zamkniętą.

    Skrypt instaluje otwartą Javę, ponieważ jest też ona domyślnie dostarczana w metapakiecie ubuntu-restricted-extras.

    Już sobie wyobrażam lawinowo rosnącą liczbę tematów w stylu “gry na kurniku nie działają” czy “nie działa czat WP”.

    Aż sam postanowiłem sprawdzić te serwisy oraz kilka innych, które wymagają do poprawnego działania zainstalowanej Javy i mnie poprawnie działają na tej otwartej.

    A gdzie pojawiły się dodatkowe opcje takie jak preload, prelink, optymalizacja swapa, wielurdzeni itp?

    Znajdą się. Będę rozwijać najprawdopodobniej dwa skrypty: podstawowy – ograniczony do minimum, aby początkującemu użytkownikowi nie sprawiać niepotrzebnych trudności oraz rozszerzony, w którym znajdą się m.in. te opcje wymienione przez Ciebie. Ale najpierw chciałbym się skupić nad Ubumatikiem w wersji graficznej.

  11. 11 dante

    Cieszę się, że są takie skrypty, bo pozwalają zaoszczędzić dużo czasu.

  12. 12 mlody969

    Bardzo fajnie, że powstają takie skrypty, ze ludzie mogą w ten sposób pomagać użytkownikom ale mam jedną wątpliwość:

    skąd mam wiedzieć, że prywatna osoba która zamieszcza w necie skrypt napisała go dobrze, nie zawiera błędów, nie zdestabilizuje systemu, oraz skąd mam wiedzieć, że pod postacią takiego skryptu nie jest przemycany złośliwy kod który później sam uruchomię i sam mu dam prawa wykonywania?

    Ja nie mówię empitt, ze nie ufam Ci, ani że jesteś złym programistą, ale taka pomoc wymaga ogromnego zaufania. Bo tak naprawdę nie widzę różnicy między otwarciem zachęcającego załącznika (pod Windows) czy uruchomieniu zachęcjaącego skryptu (pod ubuntu). Nie wyobrażam sobie za bardzo jak jakaś firma by miała zamienić system na taki do którego różne ulepszenia piszą nieznajome, prywatne osoby w wolnym czasie pomiędzy swoimi obowiązkami?

  13. 13 Wit

    Ja jeszcze jednak poczekam. Na 10.04 zdecyduję się za jakieś dwa góra trzy miesiące.
    Wie ktoś czy modemy GSM są domyślnie obsługiwane, czy trzeba coś doinstalowywać? Mam Globtrotera wbudowanego w laptopa :)
    Jeśli nie ma takiej obsługi to przydała by się opcja instalacji w Ubumatic.

    powinien być obsługiwany, ja mam huavei(nie pamiętam dokładnie jaki model) ale bez kłopotu zadziałał

  14. 14 empitt

    skąd mam wiedzieć, że prywatna osoba która zamieszcza w necie skrypt napisała go dobrze, nie zawiera błędów, nie zdestabilizuje systemu, oraz skąd mam wiedzieć, że pod postacią takiego skryptu nie jest przemycany złośliwy kod który później sam uruchomię i sam mu dam prawa wykonywania?

    Masz możliwość przeanalizowania całego kodu źródłowego.

  15. 15 Adamek

    @mlody969
    A, skąd mam widzieć, że „NIE-prywatna” osoba która zamieszcza w necie skrypt/program napisała go dobrze, nie zawiera błędów, nie zdestabilizuje systemu, oraz skąd mam wiedzieć, że pod postacią takiego skryptu/programu nie jest przemycany złośliwy kod który później sam uruchomię i sam mu dam prawa wykonywania?

    Tutaj masz wgląd w kod źródłowy i przy minimalnej znajomości systemu i podstaw programowania zrozumiesz co skrypt robi.

  16. 16 biker48

    Ja tam młodego rozumiem. Nie znam się na programowaniu (chociaż uczę się tego, zaczynam) pracuję w sklepie komputerowym, wiem jaka jest wiedza przzeciętnego Klienta, nabywającego sprzęt. DRAMAT!! Instalacja GG to jest szczyt mozliwości.. I jak taki User ma zaglądać w kod tego co pobierze sobie z netu?
    Ja tam lubie się grzebać w systemie ale 99,9% userów nie chce nie umie nie lubi. I to się nie zmieni…. To jak z samochodami, ja się nie znam ja jeżdżę, nie interesuje mnie co ma być w środku zostawiam to mechanikom. Do używania nie potrzeba mi znajomości budowy silnika, powiem więcej mnie ona mało obchodzi ja mam sie przemieścić.
    I tak samo jest z komputerami.
    Może to trochę chaotyczne ale pisze z pracy :P

  17. 17 QkiZ

    Wole sobie ręcznie ściągnąć wszystkie potrzebne pakiety…

  18. 18 mlody969

    empitt, chyba za bardzo osobiście odebrałeś mojego posta. ja nie atakuje Ciebie ale wskazuje na pewną zasadę. chwalicie się bezpiecznym systemem a jednocześnie bezgranicznie wierzycie sobie nawzajem w dobre intencje. pamiętajcie że zawsze najsłabszym ogniwem każdego systemu jest człowiek. najlepszy kernel nie obroni systemu jeżeli sam użytkownik da pozwolenie na wykonanie szkodliwego kodu.

    Oczywiście teraz to nie jest problem. Społeczność linuxa jest raczej zamknięta a twórcy skryptów są w niej szanowani i mają zaufanie. poza tym w tych warunkach ktoś prędzej czy później przeanalizuje kod. ale jakby popularność Ubuntu skoczyła np do 50%? „więź społeczna” linuksowców by osłabła, wzajemne zaufanie też, a jednoczesnie by się pojawiła cała masa takich skryptów. kto by to analizował? teraz to jest mocna strona, kiedy popularność się zwiekszy to będzie gwoździem do trumny.

    nie, nie czepiam się. krytykuję to co moim zdaniem należy krytykowac.

    Jesteś paskudnym trollem wiesz ? :) Nie chcesz ściągnąć/boisz się, trudno zrób to w ciszy.

    Bo z tego co ja widze na tej stronie można pisać o Linuxie albo dobrze albo wcale. Kazdy kto się do czegoś przyczepi jest trollem z definicji. Myślisz że takie podejście do krytyki pomaga w rozwoju Linuxa czy raczej go blokuje?

    Ja ściągnę, jak wyjdzie stabilna wersja nowego ubunciaka.

    Ja tak samo. I na bank ten skrypt też ściągnę.

  19. 19 Luke

    @mlody

    Część argumentów rozumiem – ja też nie zaglądam w kod. Ufam, że zrobi to ktoś mądrzejszy ode mnie.

    Tylko w jaki sposób używasz windows? Tam ani kodu nie dostaniesz ani nic… całkowicie ufasz M$ a nie ufasz oprogramowaniu, które jak nie ty to tysiąc innych osób może sprawdzić? Wielka niekonsekwencja w sposobie myslenia.

  20. 20 Roslinek

    Ja tak samo. I na bank ten skrypt też ściągnę.

    No to po co trollowac ?

    Wydaje mi się, ze to dwa rożne problemy” co by było gdyby popularność Ubuntu przewyższała potęgę m$”, a tym „co programista dodaje od siebie” do kodu.

    Ten drugi problem to prawie jak z przyroda, raz będzie ładna pogoda a raz brzydka, ale końcem końców nie masz na to wpływu, a jedyne co możesz to posłuchać meteorologa zrobić i wziąć parasol ew ciepło się ubrać.

    hmm, a pomyśl co może być na głównej polskiej stronie Ubuntu?. Moim zdaniem, gdybyś na forum założył topic o nazwie „co można zrobić gdy popularność będzie nas przewyższała..” Każdy by wtrącił swoje zdanie i jakoś dyskusja by się potoczyła możne nawet doszlibyśmy do jakiś wniosków, a tak nadal twierdze ze trollujesz :)

    Z mojej strony koniec tematu 2 posty to i tak za dużo jak na ciebie :) (oczywiście bez urazy)

  21. 21 mlody969

    @mlody969, odebrałem go jako ogólnie, ponieważ odnosisz się ogólnie, ale to nie znaczy, że nie mogłem skomentować tego co piszesz. Zauważ, że to co piszesz nie wnosi nic do tego tematu. Nie widzę też, aby ktoś tutaj wspomniał o tym, że Linux jest bezpieczny, tylko sam to napisałeś. Krytykować również można, ale również można z tym nie zgadzać się i zaprzeczyć.

    Jakbym napisał ogólny felieton to by był też dym że spamuję. Dlaczego środowiska Linuksowe boją sie rozmawiać na tematy ogólnej strategii, dlaczego każdy chce tylko dyskutować o konkretnych technicznych rozwiązaniach? Dlaczego nikogo nie obchodzi dyskusja o plusach i minusach samej filozofii otwartego kodu? Ja życzę Linuksowi jak najlepiej. Ale trzeba czasami tez poruszać niewygodne kwestie.

    No to po co trollowac ?

    Bo to czy ja to zrobię czy nie nie zmienia faktu. Przykładowo, jeżeli ktoś jest niezadowolony z Visty znaczy że nie może jej krytykować ponieważ jej używa?

    nadal twierdze ze trollujesz :)

    Czy ja kogoś obrażam? Z kogoś kpię? Nie, pisze to co myślę starając się nikogo nie urazić. Natomiast ilość obelg które były do mnie kierowane w czytelni jest naprawdę pokaźna.

    Ja nie chce trollować, nie chce z nikogo drwić ani obrażać. Nie chciałem być tak odebrany.

  22. 22 Kowalski

    Empitt dzieki Ci za te zabawke bo dzieki niej przejde sie na nowe ubu bez potrzeby szperania w sieci po podstawowe rzeczy. czy tez kilka klików wiecej w systemie. Osobiscie nie rozumie filozofii mlodego, ale @Roslinek to wszystko dobrze ujął

  23. 23 Gilanel

    Po prostu 10/10
    Czekam na wersję graficzną

  24. 24 empitt

    Chciałbym zaznaczyć, że w skrypcie podmieniłem zapasowe repozytorium Medibuntu na główne, ponieważ już działa.

  25. 25 .slaw

    Świetna robota. Wielkie dzięki za skrypt, na pewno skorzystam.
    Pozdrawiam

  26. 26 gmiazreclian

    Przyznam, że bardzo mnie to zaciekawiło: http://www.webupd8.org/2010/04/what-to-do-after-fresh-ubuntu-install.html

    No tak, i wszystko jasne ;) :

    „based on the idea of: http://czytelnia.ubuntu.pl/index.php/2009/11/03/skrypt-ulatwiajacy-konfiguracje-ubuntu-9-10-karmic-koala/, but Ubuntu Start is a completely re-written script with lots of new features.”

  27. 27 3MKs

    A będzie dodany skrypt do polskiego remiksa?

  28. 28 Haze

    młody969 oraz współdyskutanci
    Chodzi przecież nie tyle o to, że Ty możesz przeanalizować skrypt, a jak nie umiesz, to Twój problem.
    Chodzi raczej o to, że każdy może go przeanalizować i Ty, nawet jeśli tego nie umiesz, możesz spać spokojnie, bo jeśli jest coś groźnego w skrypcie, to na pewno ktoś to znajdzie i ostrzeże na forum.
    Ja, na przykład, zawsze przebudowuję skrypt tak, żeby nic nie wciskać, tylko żeby wszystko, co chcę, leciało samo (instaluję system na wielu komputerach i tak mi wygodniej) i gdybym znalazł coś niepokojącego, to bym na pewno spytał autora na forum, czy tak miało być. Zrobiła by się dyskusja i byłby sygnał.
    Takich jak ja jest na pewno więcej.

    Śpij spokojnie!
    Pozdrawiam!

  29. 29 zwyper

    Chwała i podziękowania dla twórców skryptu :)
    Dodajcie jeszcze możliwość instalacji Kadu

  30. 30 khaard

    Nie wyobrażam sobie za bardzo jak jakaś firma by miała zamienić system na taki do którego różne ulepszenia piszą nieznajome, prywatne osoby w wolnym czasie pomiędzy swoimi obowiązkami?

    W takim razie nie wyobrażasz sobie powstania Linuksa, a jednak powstał.

  31. 31 bondo

    a czy planujesz może wersję kubumatic?
    p.s.
    dzięki za ubumatic.
    pozdrawiam

  32. 32 quayal

    @empitt

    Dzięki za skrypt, używałem go do instalacji Koali, do Rysia też na pewno użyję.

    @mlody969

    Rozumiem Twoje obawy, ale wydaje mi się że to po prostu specyfika Ubuntu i nie można oczekiwać żeby nagle ten system (ta idea) stał się tym czym od początku nie miał być. Ubuntu opiera się na idei dobrowolnego zaangażowania dużej ilości ochotników i wzajemnej kontroli przez innych użytkowników którzy orientują się lepiej niż „przeciętny user” (coś jakby peer-reviewing).
    I albo się to akceptuje, ze wszelkimi konsekwencjami, albo nie. Ubuntu zakłada dobrą wolę użytkowników i mam nadzieję że ogólnie, statystycznie rzecz biorąc, więcej osób chce raczej pomóc niż zaszkodzić, więc jest dobrze.

  33. 33 Canis Lupus

    Do mlody969:

    Nie musisz instalować, jak nie chcesz. I to nie jest złośliwość z mojej strony – w tym świecie masz po prostu wybór, którego winda Ci nie daje. Bez tego skryptu da się żyć – można wszystko zrobić samodzielnie. Mnie wystarczą informacje z tej czytelni i forum – nigdy się nie zawiodłem a instaluję różne dziwne rzeczy.

    Co do zaangażowania prywatnych osób w jakąkolwiek dystrybucję, to dzisiaj w większości kod opracowują firmy. Powstaje nie za dużo programów, pisanych w 100% przez prywatne osoby. Jeżeli chcesz mieć taką pewność, jak przy windzie (gdzie renoma firmy jest gwarancją) – możesz zassać tylko produkowane przez firmy produkty. Zarówno darmowe, jak i płatne.

    Co do zwykłego użytkownika – to takowy i przy windowsowych programach wymięka. Jeżeli nie pokażesz palcem – zainstaluj tego antywira, firewall i jeszcze tamto pozmieniaj, to sam tego nie zrobi. Często trzeba to za niego robić, bo sam nie potrafi gołego systemu zainstalować – więc nawet przy windzie: albo instaluje i konfiguruje osoba, która (mniej lub więcej) się zna, albo sytuacja jest analogiczna, do opisanej przez Ciebie (że instaluje to osoba nie zaznajomiona z tematem, w ciemno, nie do końca zdając sobie sprawę ze wszystkich konsekwencji).

    Linuksy różnej maści mają jedną przewagę nad windą – po instalacji jest im bliżej do „w pełni sprawnego systemu”. Posiadają w większości: i procesor tekstu, i program pocztowy, i komunikator a dodanie dodatkowych programów jest według mnie łatwiejsze, niż na windzie – wymaga więc mniej wkładu własnego od usera. Ubuntu jest właśnie taką dystrybucją (user friendly) i jest firmowana przez Canonical, które jest sprawdzoną marką. Chcesz więcej – instalujesz dodatkowe programy w/g uznania samodzielnie, lub decydujesz się na takie distro (nie firmowane logo żadnego giganta) jak Mint (który ma już chyba wszystko).

    Czego tu chcieć więcej? Jak w życiu:
    1 znasz się sam na samochodach i oszczędzasz na mechaniku,
    2 tylko lejesz paliwo i bulisz nawet za wymianę świec,
    3 chcesz mieć super-wypas i bulisz komuś ekstra kasę za tuning,
    4 sam coś robisz nie znając się i godzisz się na ryzyko, że Ci hamulce mogą wysiąść.

    Podkreślę to jeszcze raz – oryginalne ubu jest dla mnie lepiej przygotowanym do jazdy i tańszym w utrzymaniu samochodem, niż każda winda.

  34. 34 jst

    @pioruns

    instalacja Skypa jest równiez prosta, skopiuj i wklej do terminala:

    Wersja 32 bit.

    cd /tmp
    wget http://www.skype.com/go/getskype-linux-beta-ubuntu-32
    sudo dpkg -i skype-ubuntu-intrepid_2.1.0.81-1_i386.deb
    rm /tmp skype-ubuntu-intrepid_2.1.0.81-1_i386.deb

    Wersja 64 vit.

    cd /tmp
    wget http://www.skype.com/go/getskype-linux-beta-ubuntu-64
    sudo dpkg -i skype-ubuntu-intrepid_2.1.0.81-1_amd64.deb
    rm /tmp skype-ubuntu-intrepid_2.1.0.81-1_amd64.deb

    Tak na marginesie można to dodać do „Ubumatic 1.0″

    polecam sie i pozdrawiam wszystkich..

  35. 35 Ruri

    Proszę się o trzymanie sie tematu. Obraźliwe i poniżej poziomu komentarze nie sa tu mile widziane. Przepraszam, że przewałem ;>

  36. 36 Zelo

    Nie wiem czy to jest błąd, ale przy dodawaniu repo na początku pliku dodaje „-e”. Posiadam ubu 64 bit.

  37. 37 empitt

    Dodajcie jeszcze możliwość instalacji Kadu

    Synaptic jest na tyle prosty w użyciu, że nie widzę takiej potrzeby, aby dodawać Kadu do skryptu.

    a czy planujesz może wersję kubumatic?

    Dawno nie widziałem w akcji KDE i dlatego przynajmniej na razie nie planuję tworzyć skryptu dla Kubuntu. Chyba, że znajdzie się ktoś inny chętny.

    Nie wiem czy to jest błąd, ale przy dodawaniu repo na początku pliku dodaje “-e”. Posiadam ubu 64 bit.

    To jest parametr dla polecenia „echo”, ale tak na prawdę on w tym przypadku jest zbędny i pozbyłem się już go. Dzięki za cynk.

    Tak na marginesie, udostępniłem Ubumatic 1.1 w wersji graficznej.

  38. 38 siemien

    A gdzie ta rozszerzona wersja? (Prelink, preload)?!

  39. 39 empitt

    A gdzie ta rozszerzona wersja? (Prelink, preload)?!

    Najpierw chciałbym skupić się na jakości tego skryptu i jeśli wszystko będzie w porządku, to wtedy zajmę się resztą opcji. Chcę żeby wszystko było zrobione przyzwoicie, aby móc potem swobodnie dodawać kolejne opcje, a nie tracić czas na poprawianie lub ulepszanie czegoś.

  40. 40 PrzeMo

    Proponuję dołączyć jeszcze PlayOnLinux, z tego co wiem bd osób z niego korzysta.
    Polecam.

  41. 41 pmatulka

    Czy w wersji graficznej nie lepiej by było aby przy poszczególnych pozycjach były opcje „checkbox” zamiast „radio”?

  42. 42 chi7d

    A może by tak w wersji GUI zamiast radiobuttonów użyć checkboxy?

  43. 43 empitt

    A może by tak w wersji GUI zamiast radiobuttonów użyć checkboxy?

    Oczywiście, że tak. Od wczoraj nad tym pracuję w wolnej chwili.

  44. 44 bollard

    Czepiacie sie skryptu, a ja z niego korzystam i wiem ze dziala bez zarzutu od pierwszej chwili jak tylko pokazal sie. Mialem zainstalowana alfe a teraz beta, wiem gdzie szwankowal 10.04. Teraz nawetr pod Beta2 chodzi mi bezproblemowo juz od chwili kiedy ukazala sie, ale stabilnei rowniez zaczelo chodzic jzu na Beta1.Takze kazdy ma prawo wyboru, czy skorzysta ze skryptu, czy tez nie.Ja tworcy tego skryptu dziekuje za to ze chce pomoc zwyklym userom.
    Pozdrawiam

  45. 45 jam

    Witam, skrypt 1.0 można przecież odpalić pod Kubuntu, kodeki flash inne rzeczy można bez problemu instalować, ja tak zrobiłem na RC. Niestety wersja okienkowa na kubuntu nie pójdzie szkoda na przyszłość po pewnie na następne wydanie będzie tylko w wersji okienkowej, a ja zakochałem się w KDE 4.

  46. 46 empitt

    skrypt 1.0 można przecież odpalić pod Kubuntu, kodeki flash inne rzeczy można bez problemu instalować, ja tak zrobiłem na RC.

    Można, ale w Kubuntu nie są potrzebne wszystkie kodeki, które skrypt instaluje w Ubuntu:
    - http://packages.ubuntu.com/lucid/ubuntu-restricted-extras
    - http://packages.ubuntu.com/lucid/kubuntu-restricted-extras

    Dlatego fajnie byłoby, gdyby znalazła się osoba, która na co dzień korzysta z KDE i umie pisać skrypty w Bashu. Dzięki temu mógłby powstać Kubumatic optymalnie dostosowany pod Kubuntu. Warto też nie zapominać o Xubuntu i Lubuntu. Jeśli są chętni, to współpraca zawsze jest mile widziana.

    Niestety wersja okienkowa na kubuntu nie pójdzie szkoda na przyszłość po pewnie na następne wydanie będzie tylko w wersji okienkowej

    Zawsze można doinstalować Zenity i wtedy powinno działać, ale nie widzę potrzeby zaśmiecania systemu, ponieważ dla KDE istnieje coś takiego jak KDialog.

    Ewentualnie mogę zrobić coś takiego, że jak ktoś uruchomi skrypt w konsoli, to wtedy będzie działać w trybie tekstowym, a jak normalnie w trybie graficznym i też będzie sprawdzać czy w systemie jest zainstalowane Zenity. Tylko, że takie coś mogłoby się pojawić w następnych wersjach, ponieważ na obecną chwilę chciałbym się skupić nad tym co teraz robię.

  47. 47 Adam

    Czy internet w Cyfrowym Polsacie będzie działać na Ubuntu 10.04? Bo wiem że jest problem na Ubuntu 9.10 może by się ktoś tym zajął (tak jak Neostradą) tyle tu zdolnych ludzi – nie chcę się z tego powodu przesiadać na windę.

  48. 48 empitt

    Wypuściłem kolejną wersję skryptu Ubumatic 1.2.

  49. 49 majsza

    Czy internet w Cyfrowym Polsacie będzie działać na Ubuntu 10.04? Bo wiem że jest problem na Ubuntu 9.10 może by się ktoś tym zajął (tak jak Neostradą) tyle tu zdolnych ludzi – nie chcę się z tego powodu przesiadać na windę.

    Adamie, dałeś komentarz nie na temat. :) Takie pytania zadaje się na forum. :)

    Na marginesie. Twoim problemem nie jest Cyfrowy Polsat, bo działa na tych samych zasadach co iPlus, lub Play Online. A modemy oferowane razem z nim
    http://forum.huawei.com/jive4/thread.jspa?threadID=329383&tstart=50&orderStr=9
    http://forum.ubuntu.pl/showpost.php?p=715654&postcount=2

  50. 50 typhon

    @empitt dzięki za skrypt,niech Ciebie bozia w dzieciach za to wynagrodzi ;-))

  51. 51 ziutek

    grejt sakses:D świetna robota

  52. 52 ESM

    Ja bym tam jeszcze dorzucił StartUp-Manager, niby można sobie samemu doinstalować ale jak już robić taki niezbędnik na start to bez tego przy GRUB 2 się nie obejdzie:). A jak wszystko będzie w jednym miejscu to się poklika odpali i pójdzie kolejną kawę po instalce zrobić :D

  53. 53 ESM

    No i jeszcze jedno czy nie dało by się tak zrobić, żeby jak się zaznaczy kilka opcji to nie trzeba było wpisywać kilka razy hasła (mówię o wersji 1.2 z GUI bo nie wiem jak się sprawa ma w poprzednich wersjach). Czyli powiedzmy, że przetrzymywać hasło w programie dopóki nie załatwi wszystkich zadań z listy (powiedzmy jakaś zmienna która można by było nadpisywać po skończeniu zadań z listy, bądź po jakimś błędzie w instalacji). I na swoja obronę powiem tylko tyle że nie wiem jak by to wpływało na bezpieczeństwo systemu, wiec proszę zbytnio nie besztać za taki pomysł :P

    A tak poza tym moim marudzeniem, że to bym chciał i tamto bym chciał to wielkie brawa dla autora, za inwencje twórcza i chęci, no i za poświęcony czas :)

  54. 54 lolo

    @Epul, Empitt Dzięki za skrypty. Czekam na finalne Ubuntu 10.04 Lucid Lynx i zasysam Wasz skrypt . Dajcie info kiedy będą dodatkowe opcje optymalizacyjne dla procesora i pamięci. Jeszcze raz DZIĘKUJĘ i pełen szacun . Pozdrawiam

  55. 55 Kowalski

    mam takie pytanie, bo zapomnialem je zadać na początku a teraz mi się przypomniało, czy ta zabawka instaluje kodeki w wersji 64bit czy to raczej nie ma znaczenia. Pytam bo na tej stronie również znalazłem poradnik „dla początkujących” i inna komenda jest do instalacji 32bitowych kodekow a inna do 64 a chodzi o:

    „Znowu wracamy do tej strony w Firefoksie i przechodzimy do ‘Playing Non-Native Media Formats’. Po raz kolejny jest pokazane co trzeba zrobić w konsoli, tym razem jest pokazane jak zainstalować przydatne kodeki.

    * Ubuntu 32 bitowe:

    sudo apt-get install w32codecs

    * Ubuntu 64 bitowe:

    sudo apt-get install w64codecs

    Pierwszy krok został zrobiony.”

    Jak sprawa wyglada tutaj? gdy sie ma ubu 64 to ubumatic pobierze kodeki w wersji przeznaczonej dla ubuntu 64 ?

  56. 56 empitt

    No i jeszcze jedno czy nie dało by się tak zrobić, żeby jak się zaznaczy kilka opcji to nie trzeba było wpisywać kilka razy hasła (mówię o wersji 1.2 z GUI bo nie wiem jak się sprawa ma w poprzednich wersjach).

    Już nie trzeba tak robić, ponieważ wprowadziłem nowe zmiany i skrypt prosi o podanie hasła na samym początku tylko raz.

    Jak sprawa wyglada tutaj? gdy sie ma ubu 64 to ubumatic pobierze kodeki w wersji przeznaczonej dla ubuntu 64 ?

    Skrypt umie rozpoznać jaki jest to system i też wie co ma zainstalować w Ubuntu 32 bitowym, a co w 64 bitowym.

    Ubumatic 1.3 z kolejnymi ulepszeniami już jest.

  57. 57 Mecin

    Ubuntu jak zawszę powala inne dystrybuje swoim dopracowanym wyglądem i jest coraz bardziej powszechne, ja osobiście używałem dość długo debiana lecz ostatnio przez nowego xorga w debianie sid juz mi grafika na zamknietych sterach nie działa więc przerzucam się z powrotem na ubuntu do którego zawsze wracam z przyjemnością gdyż jest na prawdę na tle innych dystrybujcji dopracowane na maxa :).

    Jutro od razu zasysam nową wersję i jak tylko będę już miał wypalone to instaluje :)

    Mam pytanko czy nowa wersja wyjdzie równo z wybiciem godziny 00:00 czy o jakieś określonej? Bo tak to bym zapodał ściąganie już po 24 dziś i rano by było o ile serwerki będą w miare :P

    Pozdrawiam

  58. 58 Morpheus

    Wywalić otwartą javę i wstawić zamkniętą. Otwarta nie działa z większością aplikacji online które bazują na javie. Już sobie wyobrażam lawinowo rosnącą liczbę tematów w stylu „gry na kurniku nie działają” czy „nie działa czat WP”.

    Zgadzam się z przedmówcą, a przynajmniej powinna być możliwość wyboru javy.
    Dzięki za kawał dobrej roboty.

  59. 59 pieklo

    Wywalić otwartą javę i wstawić zamkniętą. Otwarta nie działa z większością aplikacji online które bazują na javie. Już sobie wyobrażam lawinowo rosnącą liczbę tematów w stylu „gry na kurniku nie działają” czy „nie działa czat WP”.

    Zgadzam się z przedmówcą, a przynajmniej powinna być możliwość wyboru javy.
    Dzięki za kawał dobrej roboty.

    Dokladnie!! zamiast otwartej javy powinna być jej wersja zamknięta z przyczyn czysto funkcjonalnych (ideologie open source odstawmy na bok ;)
    Od siebie proponuje jeszcze aby ubumatic instalował i konfigurował SMPlayera a nie MPlayera

  60. 60 qqrider

    brakuje a byłoby fajnie jako opcje pobierania 1.gimp 2.java 3.chromium 4.oskinowanie ubuntu studio … skrytp generalnie super!

  61. 61 margor80

    Powiedzcie czy macie podobnie jak ja? Korzystam z liveboxa Neostrada TP – Ubuntu łączy się bezproblemowo z internetem ale jak otwieram Ubumatic 1,4 wywala mi błąd połączenia z internetem i skrypt się automatycznie zamyka. Co robić???

  62. 62 empitt

    Dokladnie!! zamiast otwartej javy powinna być jej wersja zamknięta z przyczyn czysto funkcjonalnych (ideologie open source odstawmy na bok ;)

    Przegłosowaliście, w następnej wersji będzie Sun JRE, zamiast otwartej.

    Od siebie proponuje jeszcze aby ubumatic instalował i konfigurował SMPlayera a nie MPlayera

    Mam kontakt z kilkoma osobami, które skarżą się na błędy jakie wywala SMPlayer, a na MPlayer nie i dlatego będzie on dalej.

    brakuje a byłoby fajnie jako opcje pobierania 1.gimp 2.java 3.chromium 4.oskinowanie ubuntu studio … skrytp generalnie super!

    Bez przesady, ponieważ są to proste sprawy do zainstalowania kilkoma kliknięciami. Gdybym miał spełniać wszystkie wasze oczekiwania, to z tego skryptu powstanie jeden wielki śmietnik. Najważniejsze, że skrypt robi najbardziej podstawowe rzeczy, a resztę niech użytkownik sam doinstaluje i niech się uczy. Inaczej okaże się, że nie umie skorzystać nawet z menedżera pakietów Synaptic, ponieważ wszystko za niego robił Ubumatic.

  63. 63 mlody969

    empitt, a kiedy będzie ta wersja z zamkniętą javą?

  64. 64 empitt

    a kiedy będzie ta wersja z zamkniętą javą?

    Może jeszcze dziś wieczorem.

  65. 65 wersy

    Dziękuje za skrypt bardzo pomocny :)
    Ciekawe kiedy wyjdzie Polski remix wraz ze skryptem :) ?

  66. 66 KOŁO

    Powiedzcie czy macie podobnie jak ja? Korzystam z liveboxa Neostrada TP – Ubuntu łączy się bezproblemowo z internetem ale jak otwieram Ubumatic 1,4 wywala mi błąd połączenia z internetem i skrypt się automatycznie zamyka. Co robić???

    Ja mam łącze po przez WiFi, próbowałem też przez kabel, i mam tak samo!
    P.S.
    Nie mam z Neostrady netu.

  67. 67 Zirr

    No ta, ale to że anulowanie nie działa delikatnie mnie rozbawiło

  68. 68 margor80

    Powiedzcie czy macie podobnie jak ja? Korzystam z liveboxa Neostrada TP – Ubuntu łączy się bezproblemowo z internetem ale jak otwieram Ubumatic 1,4 wywala mi błąd połączenia z internetem i skrypt się automatycznie zamyka. Co robić???

    Ja mam łącze po przez WiFi, próbowałem też przez kabel, i mam tak samo!
    P.S.
    Nie mam z Neostrady netu.

    Czyli wygląda na to że najprawdopodobniej jest błąd w skrypcie. Bardzo proszę autora o zainteresowanie się zaistniałym problemem. Z góry dziękuję za wszystko :)

  69. 69 empitt

    No ta, ale to że anulowanie nie działa delikatnie mnie rozbawiło

    Proste, ponieważ nie chcę żeby zabijał instalację i tyle, bo takie twarde przerywanie pracy może spowodować niemiłe rzeczy. Dalej jest to takie zabawne?

    Czyli wygląda na to że najprawdopodobniej jest błąd w skrypcie. Bardzo proszę autora o zainteresowanie się zaistniałym problemem. Z góry dziękuję za wszystko :)

    Błędu nie ma, bo sprawdziłem. Tak na marginesie, czy skrypt tekstowy (1.0) to samo robi? Później postaram się coś zrobić z tym.

  70. 70 margor80

    Witaj Empitt

    Błędu nie ma, bo sprawdziłem. Tak na marginesie, czy skrypt tekstowy (1.0) to samo robi? Później postaram się coś zrobić z tym.

    U mnie skrypt tekstowy niby odpalił ale zainstalował tylko część mimo że dałem mu instaluj wszystko (np brak mu JAVY – nie odpalę za cholerę np czatu, 7Zipa i kilku jeszcze innych rzeczy). Mam wersję 64 bit -spróbuję jeszcze na wersji 32-bitowej i zobaczymy czy pójdzie.

  71. 71 empitt

    @margor80, wprowadziłem zmiany i mam nadzieję, że skrypt będzie już normalnie działać. Wieczorem powinienem wypuścić ulepszoną wersję.

  72. 72 margor80

    Empitt

    Z góry dziękuję :). Dzięki takim jak Ty życie zwykłego użytkownika Ubu jest prostsze. Wielki szacunek.

  73. 73 Hyde

    A czy nie dałoby się zamiast otwartej javy wrzucić sun-java6 czy jakoś tak? Z tą otwartą ponoć problemy są….

  74. 74 empitt

    A czy nie dałoby się zamiast otwartej javy wrzucić sun-java6 czy jakoś tak?

    Wcześniej już wspomniałem o tym, że będzie.

    Dzisiaj nie zdążę opublikować kolejnej wersji skryptu o postaram się jak najwcześniej jutro to zrobić.

    Jest już nowy skrypt. Mam nadzieję, że teraz nie będzie sprawiać problemów podczas testu połączenia z internetem oraz instaluje zamkniętą Javę.

  75. 75 KOŁO

    1.5 też mi nie działa, rak połączenia z internetem, ten 1.0 działa normalnie

  76. 76 KOŁO

    brak połączenia oczywiście

  77. 77 empitt

    @KOŁO, na jutro przygotuję jeszcze inne rozwiązanie i ono jest na tyle sprawdzone, że u wielu osób działa, nawet gdy internet jest torrentem obciążony.

  78. 78 klikacz

    Witam, za kazdym razem pojawia mi sie błąd z kluczami. rozwiązałem go za pomoca forum a teraz pojawia mi się to:

    W: Błąd GPG: http://archive.canonical.com lucid Release: Następujące podpisy były błędne: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key

    testowane kilka razy.

  79. 79 empitt

    @klikacz, na to skrypt niestety nie ma wpływu, musisz odczekać jakiś czas i wtedy wszystko powinno wrócić do normy.

  80. 80 klikacz

    ok, ale musze ponownie włączać skrypt czy sam problem sie zniweluje??

  81. 81 kosmaty50

    nie mogę rozpakować ubumatic-robię to prawym klawiszem i pojawia się następujący błąd
    Wystąpił błąd podczas wczytywania archiwum.
    tar: This does not look like a tar archive
    tar: Skipping to next header
    tar: Exiting with failure status due to previous errors
    proszę o pomoc.pozdrawiam

  82. 82 przemo

    mistrzu jestes wielki

    dzieki wielkie za skrypcik —cos co zajmuje kilka godzin –zrobiłem w kilka minut

  83. 83 kosmaty50

    pomoże mi kto?

  84. 84 margor80

    I dalej to samo – skrypt 1.6 w dalszym ciągu nie może połączyć się z netem mimo że sieć normalnie działa (dzieje się tak i przez WiFi i przez kabel). Empitt zrób coś z tym – proszę :).

  85. 85 empitt

    1.5 też mi nie działa, rak połączenia z internetem, ten 1.0 działa normalnie

    Znowu wprowadziłem modyfikację dla testu połączenia z internetem. Jeśli to nie pomoże pozostaje mi tylko zadać takie pytanie, czy nie masz czasem ustawionego proxy?

    ok, ale musze ponownie włączać skrypt czy sam problem sie zniweluje??

    W tym przypadku nie musisz.

    pomoże mi kto?

    Najprawdopodobniej plik został źle pobrany, spróbuj ponownie jeszcze raz.

    Jest następna wersja skryptu. Dodałem drobną funkcję, moim zdaniem znaczącą, ponieważ dwa menedżery pakietów nie mogą naraz pracować, tylko jeden i ona to sprawdzi.

  86. 86 kosmaty50

    pobierałem go juz kilka razy i nic-w międzyczasie pobrałem operę tez tar.gz-i sie pobrała i zainstalowała-cały jestem głupi-faktycznie nie wiem o co chodzi

  87. 87 Luke

    ja przyznaję, że u mnie coś jest nie tak. Repo – nie dociąga klucza, na punkcie z kodekami i potem z javą po prostu staje i tak se jest już do końca życia, z siecią nie mam problemów, ale nic nie zasysa… Po kliknięciu myszką, aby proces zakończyć to ciągle pracuje to w tle i trzeba ręcznie zabijać. A że jestem (jak to nazwał kiedyś siebie kolega a ja też pasuję) użyszkodnikiem to nic nie potrafię wyciągnąc ze skryptu. Niemniej i tak to jest pomoc w tym co należy na dzień dobry zaciągnać, tylko, że robię ro ręcznie ;)

    Pomimo mojej osobistej porażki dzięki za włożoną pracę!!

  88. 88 klikacz

    Ja już wyżej wspomniałem o problemie z kluczami, autor mówi że to nie jest wina skryptu:)

  89. 89 margor80

    Empitt – nie mam ustawionej proxy – korzystam z Neostrady (Livebox) i jak do tej pory była lipa i przez WiFi i na kablu

  90. 90 Gacek

    Czy te skrypty można pobrać gdzieś indziej? Niestety mam podobne problemy z pobieraniem, jak parę osób przede mną :/

  91. 91 tybrt

    Niestety u mnie skrypt nie działa. Nie ściąga kodeków.

  92. 92 ls

    zassałem, rozpakowałem, i … nie działa. Ani 1,6 ani 1,0. Może coś robię źle. Czy to będzie działało w lxde? Dopiero próbuję tego środowiska.

  93. 93 empitt

    ja przyznaję, że u mnie coś jest nie tak. Repo – nie dociąga klucza, na punkcie z kodekami i potem z javą po prostu staje i tak se jest już do końca życia, z siecią nie mam problemów, ale nic nie zasysa… Po kliknięciu myszką, aby proces zakończyć to ciągle pracuje to w tle i trzeba ręcznie zabijać. A że jestem (jak to nazwał kiedyś siebie kolega a ja też pasuję) użyszkodnikiem to nic nie potrafię wyciągnąc ze skryptu. Niemniej i tak to jest pomoc w tym co należy na dzień dobry zaciągnać, tylko, że robię ro ręcznie ;)

    Komentarze są m.in. też po to, aby zgłaszać tego typu problemy.Już zostało poprawione i powinno być dobrze.

    Empitt – nie mam ustawionej proxy – korzystam z Neostrady (Livebox) i jak do tej pory była lipa i przez WiFi i na kablu

    Nie mam pojęcia dlaczego u Ciebie wget nie działa i niestety nie mam jak to sprawdzić, ponieważ nie znam osoby która posiadałaby Livebox.

    Czy te skrypty można pobrać gdzieś indziej? Niestety mam podobne problemy z pobieraniem, jak parę osób przede mną :/

    Postaram się wrzucić ten plik jeszcze gdzie indziej.

    Niestety u mnie skrypt nie działa. Nie ściąga kodeków.

    Powinno już działać.

    zassałem, rozpakowałem, i … nie działa. Ani 1,6 ani 1,0. Może coś robię źle. Czy to będzie działało w lxde? Dopiero próbuję tego środowiska.

    1.0 powinien.

    Już jest kolejna wersja 1.7 z kolejnymi ulepszeniami.

  94. 94 makles

    Hej. Gratuluje swietnego skryptu, oszczedza mase czasu;) Mozesz jeszcze powiedziec czy i jezeli tak to kiedy planujesz dodac funkcje poprawiania wydajnosci przy prockach 2-rdzeniowych itd.?

  95. 95 aaaaaaa

    fajne
    cośtam nie dzialało ale widzę że dzisiaj aktualizacja
    jakby w tej graficznej wersji dodać tak jak było w cześniej, że widać jaki procent ściągnięcia instalki i stopień instalowania, bo przy moim wolnym łączu to mialem wrażenie że mi sie program zawiesił, ale wyczekałem i jest
    i jakby dodać ten program do Centrum oprogramowania ununtu to bylby wypas

  96. 96 ktoś
  97. 97 Gacek

    Postaram się wrzucić ten plik jeszcze gdzie indziej.

    Dzięki. Uczynna koleżanka już ściągnęła mi te skrypty i przesłala, ale może komuś jeszcze się to przyda :)
    Tak czy inaczej, przetestowane, wersja konsolowa działa u mnie bez najmnniejszych problemów. Wielkie dzięki, empitt! :) Kawał dobrej roboty.

  98. 98 amsterdam

    po ściągnięciu, rozpakowaniu i wpisaniu hasła system sprawdza połączenie z netem i tu klops. komunikat> nie masz połączenie z netem spróbuj później a Internet działa bez problemowo. Czy wie ktoś o co chodzi?

  99. 99 mpt

    witam,
    czy moze ktos sprawdzal / slyszal, na ile skrypt dziala na Xubuntu?
    czy autor ma moze podejdzenia w tym temacie?
    bylbym wdzieczny za odpowiedzi.
    pozdrawiam i dziekuje za pomocna inicjatywe.

  100. 100 empitt

    Do tych co mają problem z połączaniem z internetem, wyklepcie to polecenie do konsoli i powiedzcie co się wtedy dzieje:
    wget http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz

  101. 101 Er_

    @empitt
    Dziekuje serdecznie, wykonales bardzo dobra robote. Skrypt okazal sie dla mnie bardzo pomocny ;)
    Mimo, ze nie jestem poczatkujacym uzytkownikiem to twoj skrypt przynajmniej zaoszczedzil mi czas i przypominanie sobie co jeszcze powinienem zainstalowac. Gratuluje jeszcze raz i licze, ze bedziesz dalej rozwijal swoje narzedzie.
    Pozdrawiam
    Er

  102. 102 M'l

    po ściągnięciu, rozpakowaniu i wpisaniu hasła system sprawdza połączenie z netem i tu klops. komunikat> nie masz połączenie z netem spróbuj później a Internet działa bez problemowo. Czy wie ktoś o co chodzi?

    Hi guys!
    Only check&correct nameserver: *IP_your_dns* inside ‚/etc/resolv.conf’
    10×4@PM vel empitt :-)
    Brgs
    Michal

  103. 103 klikacz

    empitt a mógłbyć dodać instalacje wine?? jako dodatkowa opcje, skrypt jest dla nowych użytkowników a oni czesto potrzebuja wine. Ja śmigam juz jakis czas i tez zawsze go instaluje:)

  104. 104 empitt

    Konkurencja czy nasi?

    http://gnome-look.org/content/show.php/Ubuntu+10.04+Start+script?content=123391&PHPSESSID=f4291e7d4e7d6959e28825d678829af6

    Nie nasi, ale też nie konkurencja, tylko alternatywa. Jakbyś zerknął do kodu, koleś podał link do czytelni ze skryptem dla Ubuntu 9.10.

    Komentator M’l podał przyczynę dlaczego u niektórych nie chce zaliczyć testu sprawdzanie połączenia z internetem. Trzeba sprawdzić, czy są podane poprawne adresy DNS lub ewentualnie podmienić je na, np.: 8.8.8.8, 8.8.4.4 (Google).

    empitt a mógłbyć dodać instalacje wine??

    Centrum oprogramowania Ubuntu jest na tyle łatwe w użyciu, że tego typu instalacja nie powinna sprawić nikomu żadnych trudności, co innego byłoby, gdyby Wine wymagał trudnej konfiguracji.

  105. 105 klikacz

    sama instalacja jest prosta, ale nie każdy początkujący wie że trzeba jeszcze dodać do źródeł oprogramowania link by mieć aktualizacje. choć z drugiej strony masz racje:)

  106. 106 empitt

    @klikacz, repo już jest tak skonfigurowane, że WINE spokojnie się zainstaluje. A jakbym miał spełniać wszystkie wasze zachcianki, to skrypt miałby 100 pozycji, w czym 90 zbędnych i dlatego jeśli ktoś chce mieć tamto i to, sam wybierze i zainstaluje. Najważniejsze rzeczy na początek moim zdaniem skrypt robi, a reszta będzie raczej już z górki, niż pod górę.

  107. 107 Luke

    podielam zdanie autora – to co jest w repo nie należy dodawać – należy za to kliknięciem kilkanaćie kodeków zainstalować itp… bo zawsze czegoś zabraknie ;)

  108. 108 Luke

    ok, zachciało mi się pobawić – wszystko tym razem zadziałało poza pobieraniem kluczy do repo, ale w sumie to nie przeszkadza.. super! dzięki!

  109. 109 empitt

    @Luke, mógłbyś powiedzieć, które klucze nie chciały się pobrać?

  110. 110 SiD

    Pięknie dziękuję za skrypt. Z mojego punktu widzenia to najcenniejsza inicjatywa polskiej społeczności Ubuntu. Oby skrypt się rozwijał i był aktualizowany wraz z każdym nowym wydaniem Ubuntu.

    Ciągle mam cichą nadzieję, że kiedyś powstanie temat gdzie będzie wyłożone krok po kroku, jak dla początkującego, jak zrobić to co robi skrypt, ale ręcznie i najprostszymi metodami. Byłoby to zdecydowanie edukacyjne. Mam tu na myśli tłumaczenie dla naprawdę początkujących, poczynając od tego gdzie znaleźć odpowiednie wpisy do Repo, gdzie dodać etc.

    Pozdrawiam i jeszcze raz dziękuje oraz gratuluję!

  111. 111 ella

    Witam Po zainstalowaniu Ubuntu 10.04 LTS nie działają mi gry ubuntowe trójwymiarowe. Podejrzewam że to z braku wsparcia dla mojej karty (ATI Radeon X1950 pro) Jak sobie z tym poradzić??????

  112. 112 Luke

    takie oto wyskakuje cosik:

    W: Błąd GPG: http://archive.getdeb.net lucid-getdeb Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY A8A515F046D7E7CF
    W: Błąd GPG: http://packages.medibuntu.org lucid Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY 2EBC26B60C5A2783

  113. 113 Yuri20

    To podstawowy błąd, który łatwo naprawić, wystraczy popatzeć na forum w howtosach

  114. 114 januszem

    Dziękuję autorowi skryptu za eleganckie uzupełnienie repozytoriów. Zadziałało bezbłędnie. Dobra robota.
    Podziękowania

  115. 115 Krzysiek

    Nie mogę uruchomić pliku, skryptu Ubumatic-1.8.sh podczas uruchamiania prosi mnie o hasło „Proszę podać swoje hasło”. O jakie hasło chodzi?

  116. 116 empitt

    @Krzysiek, o swoje, czyli o takie, które ustaliłeś podczas instalacji Ubuntu.

    Dodałem małe ulepszenie, które testuje czy jest połączenie z internetem i mam nadzieję, że teraz będzie już wszystko w porządku, ponieważ niektóre osoby miały z tym problem.

  117. 117 jsw

    Skorzystałem, super jesteś gość empitt.

  118. 118 3p

    witam. mam tą samą sytuację, jaka już została tu opisana. chodzi o liveboksa. skrypt pokazuje mi, że nie ma połączenia z internetem, a wysyłając tego posta, chyba jednak połączenie będę miał. czy problem ten będzie w jakikolwiek sposób naprawiany? właściwie po co jest to sprawdzanie połączenia? bo sprawia chyba tylko problemy. jak ktoś nie ma połączenia to skrypt nic u niego i tak nie zrobi, a jak ktoś ma, to wtedy wszystko by (mam nadzieję) działało.

    pozdrawiam

  119. 119 3p

    witam. mam tą samą sytuację, jaka już została tu opisana. chodzi o liveboksa. skrypt pokazuje mi, że nie ma połączenia z internetem, a wysyłając tego posta, chyba jednak połączenie będę miał. czy problem ten będzie w jakikolwiek sposób naprawiany? właściwie po co jest to sprawdzanie połączenia? bo sprawia chyba tylko problemy. jak ktoś nie ma połączenia to skrypt nic u niego i tak nie zrobi, a jak ktoś ma, to wtedy wszystko by (mam nadzieję) działało.

    a co do tego polecenia, które było podane wyżej (wget) to u mnie została pobrana paczka libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz

    pozdrawiam

  120. 120 Kuba

    Coś się repozytoria kaszanią. Błędy w kluczach.

  121. 121 empitt

    a co do tego polecenia, które było podane wyżej (wget) to u mnie została pobrana paczka libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz

    pozdrawiam

    Niestety nie spotkałem się nigdy z takim problemem i z powietrza nie umiem wymyślić przyczynę. Gdybym wcześniej tego typu odpowiedź uzyskał, to może i wcześniej problem zostałby rozwiązany. Powiedz mi czy pobrał Ci się ten plik w katalogu domowym:
    wget -t 5 -T 3 http://dl.dropbox.com/u/6294587/Ubuntu/net -O net
    ? Zajrzyj też do niego i czy są w nim cyfry?

    Coś się repozytoria kaszanią. Błędy w kluczach.

    Nic na to nie poradzę, że te serwery lubią padać. Trzeba odczekać jakiś czas lub czasem nawet dzień i ponowić ustawienie repozytorium jeszcze raz.

  122. 122 Kowalski

    Pisałem wcześniej ale mi jakiś błąd wyskoczył więc powtórzę się. Skrypt spisuje się znakomicie po prostu bajka. Ale jedna sprawa można by zrobić tak żeby podczas instalacji zamkniętej javy automatycznie akceptować licencję bo niby to tylko jeden klik więcej. Ale rozumiecie zapuszczam skrypt i idę zrobić herbatkę. Mimo wszystko jeśli to jest niemożliwe to i tak stokrotne dzięki za skrypt.

  123. 123 Iac

    Szkoda, że skrypt odbiega od starej uniskowej szkoły milczenia… Trzeba cztery razy kliknąć po anulowaniu działania – to lekka przesada, ale imo wszystko skrypt jest OK. Pozdrawiam

  124. 124 empitt

    Szkoda, że skrypt odbiega od starej uniskowej szkoły milczenia… Trzeba cztery razy kliknąć po anulowaniu działania – to lekka przesada, ale imo wszystko skrypt jest OK. Pozdrawiam

    Nie bardzo rozumiem drugiego zdania, czy mógłbyś je przybliżyć? Bo podczas wielokrotnego testu takie coś nigdy mnie nie spotkało.

  125. 125 Kowalski

    Spróbuję napisać po raz trzeci bo jakieś błędy się pojawiły w czasie próby opublikowania moich poprzednich komentarzy. Więc skrypt spisuje się znakomicie, po prostu bajka ale na jedno bym zwrócił uwagę mianowicie automatyczna akceptacja licencji gdy się instaluję zamkniętą jave. Niby tylko 1 klik ale rozumiecie zapuszczam skrypt i idę zrobić herbatkę. Przemyśl to empitt

  126. 126 empitt

    automatyczna akceptacja licencji gdy się instaluję zamkniętą jave

    Wybacz, ale gdybym chciał jest to praktycznie niemożliwe (licencję trzeba akceptować i tyle, bo gdyby nie trzeba było, to wtedy producent Javy nie kazałby nam tego robić). Co prawda mogę dodać automatyczną akceptację licencji Javy, ale wtedy i tak muszę dorzucić okienko z informacją o akceptacji tej licencji. Jak widzisz tworzy się wtedy błędne koło nie warte zachodu.

  127. 127 Kowalski

    Mimo wszystko dzięki. Trochę tak zboczę z tematu czy znacie sposób na usunięcie tej koperty koło zegara (wiem że to aplet powiadomien ale jak wylacze go to ikona glosnosci tez znika) a samo usuniecie evolution nic nie daje że też nie ma samego modułu z volume control tylko musi byc z kopertą

  128. 128 ziutek

    najlepiej na forum zapytaj

  129. 129 gilban

    Witam.

    Mam Maca mini z procesorem ppc i zainstalowanym ubuntu 10.04. (32 bit)

    Gdy chcę odpali ten skrypt – dostaj info że skrypt jest do systemu 32 i 64 bit i nie da się uruchomić. Czy da się jakoś to obejść?

  130. 130 Spider4

    @Kowalski, też swego czasu tego szukałem i jest na forum. Dla leniwych:

    sudo apt-get purge incidator-me incidator-messages

    i restart

    tako radził Admc na forum i u mnie się sprawdzilo

  131. 131 Kowalski

    @Spider4. I to jest to. Dzięki śliczne :)

  132. 132 RB

    U mnie też wywala, że niby nie mam neta..a mam na kablu z sieci lokalnej, heh, ale poradziłem sobie z tym tak

    60: # killall Ubumatic-1.9.sh

    i działa ;) w ogóle by te sprawdzanie połączenia z netem można wywalić, przecież chyba jasne jest, że jak ktoś chce coś do systemu doinstalować, to musi mieć połączenie z netem, a w ogóle poza tym każdy raczej ma, a jak nie ma to nie zainstaluje – proste ;)

  133. 133 command_dos

    Jeśli ktoś ma problemy z pobraniem skrypciku Ubumatic, to zapraszam do siebie – tam też go wystawiłem. Dropbox doprowadził mnie do szału, jak chciałem pobrać i wiem co to znaczy – dropbox, czyli „wyrzuć pudło”. Jeszcze chwila i mój pecet poleciałby przez okno… Tak czy inaczej, podaję adresik: http://command-dos.comxa.com/2010/05/ubumatic-konfiguracja-ubuntu-1004-na-start/

  134. 134 empitt
    Zmiany:
    • 2.0
    • - poprawiono i ulepszono kod

    • 1.9
    • - ulepszono funkcję, która sprawdza połączenie z internetem
      - dorzucono drobną poprawkę

    • 1.8
    • - dodano do repozytorium wpisy dla wtyczki Telepathy Sunshine
      - wprowadzono poprawkę oraz ulepszenia

    • 1.7
    • - podmieniono podstawowe repozytorium Medibuntu na inne zapasowe
      - Synaptic zastąpił apt-get i dzięki temu dokładnie informuje o przebiegu pracy
      - wprowadzono ulepszenia, które powinny przyspieszyć pobieranie plików (równoległe pobieranie – na ten pomysł wpadł użytkownik Jan, który napisał do mnie o tym w e-mailu)

    • 1.6
    • - dodano mechanizm sprawdzania, czy w danym momencie pracuje inny menedżer pakietów
      - wprowadzono drobne ulepszenia

    • 1.5
    • - dodano instalację zamkniętej Javy (Sun) w miejsce otwartej
      - wprowadzono drobne ulepszenia

    • 1.4
    • - zaktualizowano możliwość instalacji Telepathy Sunshine do nowszej wersji (wtyczka Gadu-Gadu dla Empathy)
      - wprowadzono poprawki oraz ulepszenia

    • 1.3
    • - ulepszono mechanizm dla wprowadzania hasła (nie trzeba będzie już podawać go kilkakrotnie w różnych miejscach, tylko raz na samym początku)

    • 1.2
    • - dodano możliwość zaznaczania kilku opcji naraz
      - dodano do repozytorium wpisy Get Deb, w którym znajdują się przydatne programy oraz gry
      - ulepszono plik konfiguracyjny dla odtwarzacza multimedialnego MPlayer

    • 1.1
    • - dodano nakładkę graficzną
      - dodano dwie nowe opcje (instalacja odtwarzacza multimedialnego MPlayer i narzędzia systemowego Ubuntu Tweak)

    Ubumatic doczekał się wersji 2.0 i mniej więcej tak będzie prezentować się skrypt – ma tylko ułatwić przygodę z Ubuntu, a nie robić wszystko za użytkownika.

  135. 135 INga29

    a może by tak dodać repozytorium ?

  136. 136 pijetja

    3tyg doświadczenia z Xubuntu… 6 instalacji… skrypt działa pod Xubutu 10.04 …

  137. 137 empitt

    @INga29, tzn. co masz na myśli? Skrypt ustawia repozytorium i dlatego nie bardzo rozumiem tego pytania.

  138. 138 INga29

    chodzi mi by automatycznie sie skrypot aktualizował jak wychodzi nowa wersja

  139. 139 empitt

    @INga29, myślę, że nie jest to warte zachodu, ponieważ tak naprawdę skrypt uruchamiamy tylko raz.

  140. 140 marcin27m

    trochę zawiedziony jestem po nowym Ubuntu 10.04 po uruchomieniu wyświetla się pulpit z wszystkimi ikonkami po czym zawiesza się (9.10 działał bez zarzutu) laptop asus x50 grafika nVidia 8200M G

  141. 141 jedrek

    Niestety skrypt już do niczego się nie nadaje. Od 3 dni próbuje połączyć się z jakimś archive.getdeb.net i nic z tego. Bez sensu takie ściąganie plików z serwera, który działał tylko przez miesiąc. Czekam na wersję 2.1 – która łączy się z _działąjącym_ serwerem!

    Pozdr.
    Jedrek

  142. 142 empitt

    @jedrek, przykro mi, że serwery nie działają, ale skrypt nie ma nic do powiedzenia w tej sprawie. Słowa, że skrypt już do niczego się nie nadaje są mocno przesadzone, ponieważ nie zainstaluje się tylko jedna paczka ubuntu-tweak, a to nie koniec świata.

    Chciałbym ogłosić, że światło dzienne ujrzał Ubumatic All 1.0 (zastąpił standardowy skrypt 1.0 działający w trybie tekstowym. Tak jak wspomniałem w tekście, można uruchomić go nie tylko w Ubuntu 10.04, ale również w innych wersjach oraz został dostosowany dla różnych odmian Ubuntu. Mam nadzieję, że przyda się on niektórym osobom.

  143. 143 Kowalski

    Ostatnio właśnie co chce zainstalować coś ze skryptu to nie idzie nic zrobić to znaczy skrypt się uruchamia elegancko wszystko zaznaczam później ok i pisze że prosze czekać coś tam coś tam może to potrfać od kilku do kilkunastu minut i tak można czekać ile bądź a pamiętam czasy jak odpalało mi wszystko od strzała dodam że zaznaczam tylko instalacja javy flasha podstawowe repo i dziękuje dobranoc. Czyżby slowa jedrka sie sprawdziły „Od 3 dni próbuje połączyć się z jakimś archive.getdeb.net i nic z tego” – co za tym idzie wysiadły jakies serwery czy jak ?

  144. 144 Kamil

    SKRYPT DO POPRAWY !

    Repozytoria GetDeb są do skasowania!

    Od tygodnia serwer leży .. wasz skrypt też przez to błędy wyrzuca

    Pozdraiwam

  145. 145 Edyta

    nie da sie polaczyc, nie dziala skrypt, a taki fajny byl!

  146. 146 empitt

    Udostępniłem kolejną wersję skryptu (2.0.1). Podmieniłem repozytorium Medibuntu i Get Deb na inne serwery (mam nadzieję, że nie będą tak padać jak główne) oraz lekko zmodyfikowałem mechanizm, który sprawdza połączenie z internetem. Teraz pozostaje pytanie do tych osób, którym skrypt nie chciał dać pozytywnego wyniku podczas sprawdzania połączenia z internetem, jak działa?

  147. 147 JarTul

    Skrypt w wersji 2.0 działał, chociaż był problem z repozytoriami i nie wszystko chciało do końca przejść. W nowej wersji 2.01 od 20 minut „Trwa sprawdzanie”…
    Połączenie z Internetem po sieci lokalnej do routera i dalej modem DSL. Generalnie pełna łączność z Internetem… tylko skrypt tego nie widzi.

    Wielkie podziękowania za wszelkie działania związane z udoskonalaniem Ubuntu… Jak to mówią niektórzy… Duży szacun… :-)

  148. 148 Edyta

    –2010-06-04 00:33:54– http://archive.getdeb.net/getdeb-archive.key
    Translacja archive.getdeb.net… 81.92.203.249
    Łączenie się z archive.getdeb.net|81.92.203.249|:80… nieudane: Connection timed out.
    Ponawianie próby.

    –2010-06-04 00:34:16– (próba: 2) http://archive.getdeb.net/getdeb-archive.key
    Łączenie się z archive.getdeb.net|81.92.203.249|:80…

    znowu to samo…:(

  149. 149 empitt

    @JarTul, spróbuj dzisiaj uruchomić ten skrypt jeszcze raz, ponieważ wczoraj u mnie launchpad.net różnie działał.
    @Edyta, czy na pewno pobrałaś najnowszą wersję skryptu, ponieważ w najnowszym adresy do Get Deb są inne.

    Udostępniłem wersję 2.0.2. Zobaczcie jak jest teraz, ponieważ ta wersja pobiera klucze GPG z niemieckiego serwera. Nie wiem jak będzie u was, ale u mnie działa o wiele sprawniej od keyserver.ubuntu.com.

  150. 150 JarTul

    W wersji 2.02 to samo co 2.01… “Trwa sprawdzanie”… i nic.

  151. 151 empitt

    @JarTul, na forum była o tym rozmowa, że głównie posiadacze DSL mają z tym problem na standardowych DNS-ach. Spróbujcie zmienić adresy DNS na inne, np. Google Public DNS, OpenDNS itd. jeśli chcecie skorzystać ze skryptu. Trudno jest w tym przypadku zwalić winę na skrypt, ponieważ po zmianie tych adresów niektórym osobom zaczął działać poprawnie. Jeśli chodzi o mnie, ja nic innego już nie wymyślę, ani ewolucyjnego, ani rewolucyjnego rozwiązania. Tym bardziej, że mnie i wielu moim znajomym skrypt działa poprawnie. Tylko tyle mogę w tej chwili napisać.

  152. 152 JarTul

    Dziękuję. Spróbuję poeksperymentować. :-)

  153. 153 Kowalski

    Skrypt w wersji 2.1 działa znakomicie wszystko pobiera, instaluje od strzała jak dawniej :) – Dzięki

  154. 154 empitt

    @Kowalski, dzięki za info. Jeśli chodzi o wersję 2.1 ponownie podmieniłem Medibuntu i Get Deb (ponoć te lustrzane serwery, które ustawiłem są wydajne), zmieniłem mechanizm, który sprawdza czy w danym momencie pracują inne menedżery pakietów oraz odpowiednio przerobiłem mechanizm pobierania Flasha 64 bitowego – dzięki temu będzie pobierać najnowszą, aktualną wersję.

  155. 155 Kowalski

    ne wiem czy jest możliwość „przypięcia” tego posta na główną, żeby nie schodzić na dół później jeszcze zmienić strone. WordPress i K2 to potęga więc może by sie jednak coś udało ?

  156. 156 empitt

    @Kowalski, jest coś takiego jak Bibliotekarz poleca, który jest po prawej stronie, na górze i w widocznym miejscu.

  157. 157 Kowalski

    Na starość człowiek nic nie widzi – dzięki za wskazówke

  158. 158 empitt

    W kolejnej wersji skryptu zmiany dotyczą tylko Flasha, a właściwie 64 bitowej wersji. Skrypt już nie instaluje 64 bitowego Flasha 10 w 64 bitowym Ubuntu, tylko instaluje 32 bitową wersję 10.1 z repozytorium + nspluginwrapper + 32 bitowe biblioteki. Myślę, że nikogo nie powinna zdziwić powyższa zamiana, ponieważ Adobe niestety porzucił, a właściwie wstrzymał rozwój 64 bitowego Flasha dla Linuksa. Nawet wykryte w nim ostatnio groźne luki nie zostały załatane i dlatego porzucenie 64 bitowego Flasha na rzecz 32 bitowego było konieczne.

  159. 159 ca1ek

    Ja jako stary Windiarz, użytkownik Windows 7 nie moge się doczekać nowego Ubuntu. Na pewno jednak się na niego nie przesiądę w 100% – ponieważ nie obsługuje wszystkiego z czego normalnie korzystam :(

    WTF?Przecież są lunixowe odpowiedniki aplikacji windowsowych.Mamy jeszcze wine i to starczy by z linuxa zrobić codzienny system biurkowy

  160. 160 Kowalski

    znów śpieszę z informacją na temat skryptu otóż dodane repozytoria a dokładniej mirror getdeb wywalają mi błędy gdy wchodze w menadżera aktualizacji w sumie od niedawna się to dzieje {przepraszam za małą precyzje ale pamiętam że błąd dotyczył tego że połączenie zostało odrzucone) ale oczyszczenie całego source list i wpisanie repo z tegoż oto tematu na ubuntu.pl http://forum.ubuntu.pl/showthread.php?t=37494 pomogło – jak można zauważyć

    „deb http://archive.getdeb.net/ubuntu lucid-getdeb apps games
    # deb-src http://archive.getdeb.net/ubuntu lucid-getdeb apps games”

    już chyba mirrory nie są potrzebne ? ponieważ lustra są nieczynne ?

  161. 161 empitt

    Jeśli chodzi o serwery Get Deb są one bardzo niestabilne i bardzo często padają, dlatego w najnowszej wersji je całkowicie usunąłem i dodałem nowe repozytorium dla Ubuntu Tweak (wcześniej był instalowany z Get Deb).

  162. 162 Kowalski

    a jak jest z flashem w wersji 10.1 bo dzisiaj tak patrze w centrum oprogramowania i pisze mi ze mam 10.1.53.64 czyżby koncówka mowila ze jednak jest wersja pod 64 bit bo swego czasu były wiadomosci ze jednak nie bedzie pod 64bit wersji, wiec jesli jej nie ma to jaka wersja jest instalowana – 32bity ? czy byc moze jednak stanowisko adobe sie zmienilo ?

  163. 163 darekry

    Hej. może dodać do skryptu opcję ustawienia przycisków metacity na prawo? wiele osób jest przyzwyczajonych, a nie każdy umie sam przestawić [mimo że to 1 polecenie]

  164. 164 Kowalski

    darekry – tą opcje masz dostępną w ubuntu tweak w pulpit – ustawienia menadżera okien – miejsce

  165. 165 empitt

    @Kowalski, masz Flasha 32 bitowego, w poprzednim komentarzu pisałem jak to wygląda.

    Wypuściłem z delikatną modyfikacją najnowszą wersję skryptu i na tej wersji kończę go rozwijać dla Ubuntu 10.04. Następna wersja będzie dopiero dla Ubuntu 10.10.

  166. 166 mati865

    mi w KPK pisze: flashplugin-nonfree – 10.1.53.64ubuntu0.10.04.3 (amd64) więc chyba jeszcze wychodzą nowe wersje

  167. 167 empitt

    @mati865, owszem, ale jest to tylko skrypt instalujący Flasha 32 bitowego w Ubuntu 64 bitowym.

    W przyszłym tygodniu ma się pojawić poprawiona i ulepszona wersja Ubuntu 10.04.1. Dlatego ja też postanowiłem wypuścić ulepszone wersje skryptów (kody zostały trochę przebudowane i ulepszone; błędów nie naprawiłem, ponieważ ich nie było ;)).

  168. 168 Skibbbi

    A ja mam jakieś błędy podczas pracy skryptu. Instalacja czyściutka i pierwsze co poszło do skrypt.

    O co tu chodzi?

    http://artystyczne.nazwa.pl/pliki/blad_ubumatic.png

  169. 169 empitt

    @Skibbbi, czekać, gdy serwery Medibuntu zaczną normalnie działać, ogólnie próbuj co jakiś czas, np. co następny dzień aż zaskoczy.

  170. 170 cacharel

    ja chciałem tylko podziękować dzięki temu skryptowi i waszej pomocy mój 10 letni bratanek samodzielnie stawia i konfiguruje ubuntu że aż miło pamiętam dawnej kiedy sam instalowałem to wszystko to zajmowało mi to kilka godzin a i tak sukces był raczej połowiczny dzisiaj system ubumatic i mam wszystko czego mi potrzeba za tydzień zafunduję mamusi przesiadkę na ubuntu dzięki serdeczne i pozdrawiam cieplutko.
    P.S.nie zapominajcie o ekologii bo xle się dzieje z naszą planetą.

  171. 171 kuzyn_mirka

    po pobraniu skryptu, nie moge go rozpakowac pojawia mi sie komunikat o błedzie taki o:

    tar: This does not look like a tar archive
    tar: Skipping to next header
    tar: Exiting with failure status due to previous errors

  172. 172 adrian

    Hej,

    Używałem kiedyś tego skryptu do istalacji Koali, ale przy instalacji Lynxa mi nie idzie. Graficzny mówi że nie ma połączenia z internetem, tekstowy twierdzi że jest błąd:

    [: 24: -ne: unexpected operator
    ./ubumatic_all.sh: 30: Syntax error: „(” unexpected

    wiesz coś na ten temat? Jak to poprawić?

  173. 173 laybythesea

    Hej,

    Używałem kiedyś tego skryptu do istalacji Koali, ale przy instalacji Lynxa mi nie idzie. Graficzny mówi że nie ma połączenia z internetem, tekstowy twierdzi że jest błąd:

    [: 24: -ne: unexpected operator
    ./ubumatic_all.sh: 30: Syntax error: „(” unexpected

    wiesz coś na ten temat? Jak to poprawić?

    Forum, forum, forum – proszę z takimi technicznymi sprawami zaglądać na nasze forum:
    -> http://forum.ubuntu.pl

  174. 174 paramedica

    Nadal występuje problem z instalacją ubumatica 2.3, wywala błąd o braku połączenia z internetem. Empitt coś zmienił czy skrypt na serwie się rozsypał?

  175. 175 mlody969

    wersja 2.3 mi nie działa. po uruchomieniu skryptu pojawia się komunikat o braku połącznia z internetem

  176. 176 kromek

    Wywalanie błędu o braku połączenia z internrtem jest spowodowane niedziałającym IP 72.14.221.99 w wierszu 155 skryptu.

    http://www.sistrix.de/news/800-google-datacenter-liste.html

  177. 177 empitt

    skrypt na serwie się rozsypał?

    Był w nim przestarzały adres IP i dlatego wywalał się błąd. Także dzięki @kromek za uwagę.

    Poprawiłem skrypt i powinien działać teraz normalnie.

    [: 24: -ne: unexpected operator
    ./ubumatic_all.sh: 30: Syntax error: „(” unexpected

    Przyjrzałem się dokładniej temu problemowi i nie zanotowałem tego błędu.

    Forum, forum, forum – proszę z takimi technicznymi sprawami zaglądać na nasze forum:
    -> http://forum.ubuntu.pl

    Wg mnie za bardzo przesadziłeś tutaj. Skoro błędy i problemy dotyczą Ubumatika, a ta notatka jest o tym skrypcie, to jak najbardziej powinno się pisać o nich właśnie tutaj, a nie na forum i gdzie indziej. Mnie się wydaje, że od tego są te komentarze, a zgłaszanie problemów w 100 miejscach niczego nie rozwiąże – myślę, że sam się domyślisz dlaczego (bo niby skąd mam wiedzieć o tym, że ktoś zgłasza problemy dotyczące tego skryptu gdzie indziej?).

  178. 178 mlody969

    Dzięki empitt, teraz idealnie śmiga. Tylko zapomniałeś w komunikacie końcowym zmienić wersji z 2.3 na 2.3.1 :) ale to już chyba nikomu nie przeszkadza

  179. 179 empitt

    @mlody969, ja po prostu tak robię od dłuższego czasu, ale jak sam twierdzisz nie powinno to nikomu przeszkadzać.

    Pojawiła się nowa wersja skryptu z niewielkimi zmianami, która wspiera (na razie uznajmy, że nieoficjalnie) m.in. Ubuntu w wersji 10.10 oraz instaluje dodatkowo nowy pakiet o nazwie „gstreamer0.10-fluendo-mp3″. Także zachęcam do testowania jak sprawuje się skrypt na Ubuntu 10.10 Maverick Meerkat.

  180. 180 empitt

    Ubumatic 2.4 i Ubumatic All 1.3 – drobne zmiany i małe nowości. Oba skrypty oficjalnie będą wspierać najnowsze dziecko Ubuntu 10.10 i w Ubuntu 64 bitowym będą instalować Flasha 64 bitowego zamiast 32 bitowego + 32 bitowe biblioteki. W skrypcie zastosowałem taki mechanizm, że podczas instalowania Flasha będzie pobierana najnowsza wersja ze strony producenta. Ubumatic wspiera jednocześnie Ubuntu 10.04 i 10.10, a Ubumatic All praktycznie wszystkie.

  181. 181 INga29

    witam

    a u mnie nie odpala sie pod 10.10 tylko taki komunikat w terminalu

    /home/inga29/Pulpit/ubumatic.sh: line 48: continue: ma sens tylko w pętli `for’, `while’ lub `until’

  182. 182 empitt

    INga29, spróbuj jeszcze raz uruchomić skrypt i nie klikaj na przycisk „Uruchom w terminalu”, tylko kliknij na „Uruchom”.

  183. 183 INga29

    ok działa

  184. 184 krystian
  185. 185 thigrand

    Moglbys dorzucic VLC z konfiguracja i Kadu opcjonalnie?

  186. 186 empitt

    @thigrand, zawsze mógłbym. Tylko wiesz instalacja dodatkowego oprogramowania w Ubuntu nie jest trudna, a potem dojdą pytania czy mógłbym dorzucić jeszcze 45 programów i zobacz jaki bałagan się zrobi w tym skrypcie. O ile uważam, że nie ma sensu dodawać opcji, która zainstaluje Kadu, to VLC media player z konfiguracją mógłbym dodać (z góry zakładam, że nie każdy początkujący jest w stanie tutaj poradzić). Ale czego ma dotyczyć konfiguracja tego odtwarzacza? Przyznaję się, że z niego nie korzystam.

  187. 187 sunmake

    Adobe Flash Player 64bit (Square) jest dostępny tylko na od Adobe Labs! Jeżeli strona Adobe Labs będzie ‚stroną producenta’ w skrypcie, to jest OK.
    PS.Square działa OK i bez problemów.

  188. 188 Paramedica

    Problem z instalacją ubumatica 2.4 w wersji 10.10 – tradycyjnie problem z serwerami medibuntu.

  189. 189 empitt

    @Paramedica, nic na to nie poradzę, trzeba czekać aż one odżyją.

  190. 190 sawko

    Panie Mati dla mnie jest Pan GENIUSZEM
    Niszczę dyski testując Pana rożne wersję linuxa,
    super!
    Wiem,że pomagają Panu różni znajomi
    jesteście ludzimi z którymi,chce się jeszcze być
    na tej planecie.
    A czy w danej wersji taki, czy inny skrypt chodzi
    lepiej czy gorzej? Jakie to ma znaczenie.
    Jak się znudziła zabawa Linux’em wrócić na „Windę”
    Pozdrowienia dla Pana,Ubunciaka i wszystkich tych,
    którym się chcę coś dać od siebie,nawet dla etatowych malkontentów.

  191. 191 Mat_Matan

    Dzięki za skrypcik Ubumatic All, zapodaję go do swojego remixa, bez niego byłby niczym :)

  192. 192 empitt

    Ubumatic 2.5 doczekał się drobnych zmian w kodzie, wielkość okienka programu została idealnie dostosowana do motywu Ambiance z Ubuntu 10.04 jak i 10.10 (są minimalne różnice w obydwu motywach) oraz dodałem repozytorium „extras” dla Ubuntu 10.10. Natomiast Ubumatic All 1.5 przeszedł trochę większe zmiany, ponieważ dla Lubuntu 10.10 została przygotowana restrykcyjna paczka (wcześniej jej nie było) i dlatego skrypt został jeszcze bardziej dostosowany pod różne wydania *buntu.

  193. 193 Piotr

    Witam

    Czy istnieje techniczna możliwość skorzystania ze skryptu Ubumatic 2.5 na Ubuntu 10.10 Netbook Edition ?

    Pozdrawiam

  194. 194 empitt

    @Piotr, istnieje taka możliwość, ale nie sprawdzałem.

  195. 195 Kowalski

    Gdy miałem okazję przetestować skrypt na nowym ubu.. po rozpakowaniu kliknieciu w uruchom, zaznaczeniu odpowiednich opcji w tym oczywiscie dodanie repo i reszta prócz instalacji aktualizacji, na koniec gdy wszystko zatwierdzilem ku mojemu zdziwieniu pojawil sie komunikat ze „nie zaznaczyles czegoś tam moze to spowodować (tu znow nie pamietam) potem komunikat znika instalacja i konfiguracja z instalacja przebiega jakby nigdy nic a po wszystkim gdy wchodze w centrum oprogramowania i wpisuje np „flash” to pokazuje mi ze nie mam go w systemie to samo z javą niby się zainstalowala ale jednak jdownloader nie widział javy i zainstalowal od siebie. Wiec sam juz nie wiem w czym tkwi problem pierwszy raz z takim czyms sie spotkalem na ubuntu 10.4 skrypt dzialal mi wysmienicie. No ale takie rzeczy to pewnie tylko u mnie sie dzieją dodam ze sytuacja miala miejsce na Ubu 10.10 64 bit

  196. 196 lama

    @Kowalski
    też mi taki komunikat wyskoczył. zaznaczyłem wszystkie ptaszki od góry do dołu. javę i flasha mi zainstalowało. za to nie zainstalował się mplayer.
    pewnie dlatego, że nie ma już pakietu mplayer-gui w medibuntu dla maverick. trudno, zrobiłem sobie to ręcznie. czasem warto poćwiczyć, żeby nie zapomnieć jak się instaluje ;)

  197. 197 empitt

    @Kowalski, masz na myśli komunikat: Jeśli nie zaznaczyłeś opcji, która konfiguruje repozytorium, to wtedy nie wszystkie pakiety mogą zostać zainstalowane, to tylko ostrzeżenie a nie błąd. Flash instaluje się ze strony Flasha, więc nie poinformuje Cie o tym menedżer pakietów w Ubuntu, ale Java już normalnie.

    @Lame, MPlayer pewnie się zainstalował, ale bez GUI, mógłbyś powiedzieć skąd wytrzasnąłeś mplayer-gui?

  198. 198 lama

    niestety nie wytrzasnąłem. mplayer się nie zainstalował. pisząc o tym, że sobie poradziłem, miałem na myśli zainstalowanie ręcznie przez synaptic mplayer i docelowo smplayer. bez wersji gui mplayera się obędę.

  199. 199 mbb

    Potwierdzam problemy z ubumatic 2.5 na ubuntu 10.10 64bit

    Po instalacji czystego ubuntu i aktualizacji zapuszczony skrypt.
    Efekt:
    flash – nie zainstalowany ( ręcznie ze strony zainstalował się poprawnie )
    java – zainstalowała się dopiero po ręcznym dodaniu repozytoriów
    ubuntu-tweak się nie zainstalowało ( ręcznie pakiet ze strony w porządku )
    mplayer – nie zainstalowany.

  200. 200 empitt

    @lama, dzięki.

    Hmm.. wypuściłem leciutko poprawioną wersję i w Ubuntu 10.10 MPlayer już się instaluje ale niestety bez GUI. Tak ogólnie chciałbym poinformować, że jest to jedna z ostatnich wersji Ubumatika, ponieważ nie zamierzam dalej korzystać z Ubuntu. Niestety wersja 10.10 bardzo mnie rozczarowała i jest na tyle uciążliwa, że nie mogłem na spokojnie napisać nowy skrypt RG2 (Restore GRUB2), ponieważ co 20 minut siadały u mnie iksy.

  201. 201 Verdorben

    Witam all gurus,

    Po wyłaczączeniu tego if’a
    if [ `sed -n '/1/p' $u1` -o `sed -n '/2/p' $u1` -o `sed -n '/6/p' $u1` -o `sed -n '/7/p' $u1` ] ; then

    jest tworzone dopiero /etc/apt/sources.list_backup

    tak wygląda to w podglądzie + ‚[' 1 -o 2 -o -o ']‚
    ./ubumatic.sh: Zeile 184: [: Argument erwartet/Oczekuję argumentu.

    Podyktowane jest tym że chcę tylko stworzyć sources.list + aktualizacja tudzież bez.
    Czyli wybieram tylko to co mi proponuje skrypt i jest ustawione na true
    TRUE ’1′ ‚Ustaw zalecane repozytorium (obowiązkowe)’ \
    TRUE ’2′ ‚Zainstaluj najnowsze aktualizacje’ \

    Zlituj się nad ludźmi i nie zarzynaj kompów 24-krotnym wywołaniem lsb_release -cs
    Bardziej elegancko i szybciej można tak
    codename=`lsb_release -cs`
    a później musisz sobie tylko poprawić ‚ „” ‚

    Pozdrawiam.

  202. 202 Vedorben

    Sorry nie dopisałem do końca: a później musisz sobie tylko poprawić ‘ “” ‘
    i niektóre porównania
    if [ "$codename" = "lucid" -o "$codename" = "maverick" ] ; then

  203. 203 Verdorben

    I jeszcze jedno, po co zaprzęgać wget do sprawdzania połączenia i do tego jakiegoś serwera google?

    if [ -s $u1 -o -s $u2 ] ; then
    wget -q -t 5 -T 3 66.249.92.104 -O $u3 | if ! pe ‚Trwa sprawdzanie połączenia z internetem’ ; then
    killall wget
    fi
    if [ ! -s $u3 ] ; then
    zo
    zenity –error –title ‚Ubumatic’ –text ‚Połączenie z internetem nie powiodło się’
    fi

    #########################################

    ping -c1 wp.pl >/dev/null

    if [ "$?" != "0" ]
    then
    echo „Zrób coś z tym!”
    exit
    fi

    Pozdrawiam.

  204. 204 empitt

    Po wyłaczączeniu tego if’a
    if [ `sed -n '/1/p' $u1` -o `sed -n '/2/p' $u1` -o `sed -n '/6/p' $u1` -o `sed -n '/7/p' $u1` ] ; then

    W sumie ta linijka i tak nie jest już potrzebna, to pozostałość po kiedyś.

    Zlituj się nad ludźmi i nie zarzynaj kompów 24-krotnym wywołaniem lsb_release -cs
    Bardziej elegancko i szybciej można tak
    codename=`lsb_release -cs`

    Zanim „bash” doczekał się poprawek w Ubuntu 10.04 musiałem niektóre rzeczy robić na siłę i tak było w tym przypadku, a później o tym zapomniałem.

    I jeszcze jedno, po co zaprzęgać wget do sprawdzania połączenia i do tego jakiegoś serwera google?

    Chociażby po to, że „wget” sprawdził się u niektórych, a nawet u mnie lepiej od „ping”, a ten jakiś serwer google przynajmniej jak na razie działa u każdego (były brane pod uwagę różne adresy i u nie wszystkich one działały, czyt. komentarze wyżej).

    Dzięki za zwrócenie uwagi i skrypt został zmodyfikowany.

  205. 205 Versorben

    Cze,

    >> Zanim “bash” doczekał się poprawek w Ubuntu 10.04 musiałem niektóre rzeczy robić na >> siłę i tak było w tym przypadku, a później o tym zapomniałem.

    Bash miał problemy? hm.. myślę że to tylko kwestia umiejętnego obejścia problemu.

    Ten kawałek pochodzi z którejś wcześniejszej wersji Twojego skryptu.
    Miałem Tobie już wcześniej napisać, ale jakoś wyszło mi z głowy.
    Co prawda dochodzi cp ale działało wszystko co w nim pozmieniałem i „moja wersja” do wczoraj/dzisiaj była o połowę szybsza od Twojej.

    echo „deb http://archive.ubuntu.com/ubuntu/ $codename main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu/ $codename main restricted universe multiverse
    deb http://archive.ubuntu.com/ubuntu/ $codename-updates main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu/ $codename-updates main restricted universe multiverse
    # deb http://archive.ubuntu.com/ubuntu/ $codename-proposed main restricted universe multiverse
    # deb-src http://archive.ubuntu.com/ubuntu/ $codename-proposed main restricted universe multiverse
    # deb http://archive.ubuntu.com/ubuntu/ $codename-backports main restricted universe multiverse
    # deb-src http://archive.ubuntu.com/ubuntu/ $codename-backports main restricted universe multiverse
    deb http://security.ubuntu.com/ubuntu $codename-security main restricted universe multiverse
    deb-src http://security.ubuntu.com/ubuntu $codename-security main restricted universe multiverse
    deb http://archive.canonical.com/ubuntu $codename partner
    deb-src http://archive.canonical.com/ubuntu $codename partner
    deb http://packages.medibuntu.org/ $codename free non-free
    deb-src http://packages.medibuntu.org/ $codename free non-free” >/tmp/$$
    sudo -S cp /tmp/$$ /etc/apt/sources.list

    Pozdrawiam.

  206. 206 empitt

    Bash miał problemy? hm.. myślę że to tylko kwestia umiejętnego obejścia problemu.

    Jak doszła poprawka i wszystko wróciło do normy, więc musiało się coś tam dziać ;)
    W sources.list zamiast:
    deb-src http://archive.ubuntu.com/ubuntu/ lucid main restricted universe multiverse
    u mnie robiło się:
    deb-src http://archive.ubuntu.com/ubuntu/ $codename main restricted universe multiverse
    Tak jak pisałem, to było kiedyś bo teraz już jest ok.

    Co prawda dochodzi cp ale działało wszystko co w nim pozmieniałem i “moja wersja” do wczoraj/dzisiaj była o połowę szybsza od Twojej.

    Już nie róbmy z tego skryptu wyścigówki. I tak np.: Synaptic jest jednym z najwolniejszych elementów w tym skrypcie.

  207. 207 Tomrac

    Witam,

    Którym skryptem uda mi się skonfigurować netbook remixa 10.10 ?

  208. 208 Kowalski

    @Empitt – przykro slyszec ze odchodzisz z Ubuntu, poniewaz dzieki tobie ja jako poczatkujacy zaczalem normalnie korzystac wtedy jeszcze z ubuntu 10.4, jakie distro zostalo przez ciebie wybrane moze Fedora ? :)

  209. 209 marek

    Ten skrypt ubumatic 2.5 nie działa w ubuntu 10.10 -

  210. 210 Damiano

    Skrypt nie działa w Ubuntu 10.10 dlaczego po zaznaczeniu wszystkiego pojawia sie komunikat że zakończono nic się nie zainstalowało

  211. 211 LASERman

    Skrypt przestał działać pod 10,10
    - Ubumatic 2.5 dla Ubuntu 10.04 i 10.10 kończy działanie natychmiast po kliknięciu OK
    - Ubumatic All 1.5 natychmiast odpowiada command not found
    Instalacja na pendrive USB , format i od nowa – to samo – identyczna jakiś czas temu działała

  212. 212 empitt

    Ajć ;/ Była paskudna literówka, ale tak to jest gdy robi się skrypt na Windowsie. Mój kolega przetestował u siebie oba skrypty i działały wyśmienicie.

    @Tomrac, czemu nie..

    @Kowalski, jeśli chodzi o ten skrypt, to nie przejmowałbym się tym zbytnio, ponieważ jak nie ja to kto inny (ale zachowam ta tajemnicę ;)). Co do Linuksa to jeszcze nie podjąłem decyzji, ale może wybiorę Debiana, ponieważ myślę nad nowym projektem, który byłby związany właśnie z tym systemem. Jeśli chodzi o skrypty dla Ubuntu nie powiedziałem jeszcze ostatniego słowa. Ostatnio powstał RG2, teraz pracuję nad ulepszoną wersją Onlitora i planuję napisać jeszcze jeden.

  213. 213 3miel

    zaznacz tylko jedna opcje naraz, najpierw zaznaczam pierwsza opcje i ok , potem odpalam skrypt i druga opcje i ok itd, troche na około ale pojedyńcze opcje działały prócz flasha którego instaluje poprzez mozille odwiedzajac youtube.com i instalujac dodatki

  214. 214 empitt

    @3miel, testowałem teraz skrypt na czystym Ubuntu i Flash zainstalował się normalnie.

  215. 215 Kowalski

    Spiesze z informacja ze najnowsza wersja skryptu Ubuntumatic instaluje wszystko od strzala – i niech tak zostanie

  216. 216 empitt

    Zamierzam zrobić Ubumatic 3.0, który będzie szybszy od poprzednika i będzie w nim wiele zmian, mam nadzieję, że na lepsze.

  217. 217 Kowalski

    Już teraz proponuję przywrócenie instalacji Open Jdk tzn otwartej javy jako dodatkową opcje w Ubumatic ponieważ odkąd jdownloader zaczął korzystać z openjdk jest mi to zupełnie obojętne jaka mam jave w systemie. Uargumentuje to tak że z zamkniętą javą jak wszyscy wiemy są ostatnio cyrki w postaci psełdo wirusów. Albo jak już nie da radę to po prostu zrobić z opcji „Instaluj Jave i Flasha” jako dwie osobne. Na razie tyle spostrzeżeń

  218. 218 empitt

    @Kowalski, otwarta Java co prawda radzi sobie coraz lepiej, ale wciąż nie na każdej stronie www działa poprawnie i dlatego Sun Java pozostanie na swoim miejscu.

    Tak na marginesie chciałbym wspomnieć, że wydałem Ubumatika 3 i jest to ostatnia wersja. Ubumatic 3 to nic innego jak połączenie Ubumatika 1.x i 2.x w jedną wersję oraz przybyło parę nowych opcji.

  219. 219 Turu

    Witam,
    gdy uruchamiam skrypt po przez kliknięcie nań i kliknięcie na ‚uruchom w terminalu pyta mnie o hasło, które podaję i nic się nie dzieję.. mam okienko terminalu ale w nim nic nie jest wyświetlone ani wpisane(nawet nazwa mojego użytkownika), tylko miga cały czas kursor i nic.
    Uruchamiam w takim razie skrypt bezpośrenio poleceniami z terminala
    „sudo ./ubumatic.sh –lubuntu”

    i wyskakuje mi pięknie info o tym co skrypt czyni i pyta mnie czy kontynuować..
    Klikam na [T]ak i: wypisuje „Zakończono” itp

    proszę o pomoc

  220. 220 grek

    brak polaczenia z internetem

    janusz@grek-laptop:~$ wget http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz
    –2010-11-25 20:46:50– http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz
    Translacja download.macromedia.com… 88.221.139.191
    Łączenie się z download.macromedia.com|88.221.139.191|:80… połączono.
    Żądanie HTTP wysłano, oczekiwanie na odpowiedź… 404 Not Found
    2010-11-25 20:46:50 BŁĄD 404: Not Found.

    janusz@grek-laptop:~$ wget http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz

    moze sprawdzaj polaczenie po jakims pliku ktury zawsze jest dostepny, net dziala mi bez problemow

  221. 221 bartek.j3

    mam pytanko.
    czu ubumatic można użyć w ubuntu studio??

  222. 222 chrochodyl

    Skrypt ściągnięty dziś. Ubuntu 10.10 oryginalny. Połączenie z netem pppoe po eth0. I jak czytając wcześniejsze komentarze -> brak połączenia z internetem

  223. 223 Delavor

    A mi niestety, ale wykrywa brak podłączenia z internetem co jest totalną bzdurą. Co może być nie tak?

  224. 224 empitt

    Postaram się w ciągu dwóch dni wypuścić Ubumatika 4 w wersji Beta (bo nie zdążę wprowadzić nowej funkcji i przepisać całego kodu) i zgłoszone przez Was problemy zostaną wyeliminowane.

  225. 225 Anonymous

    @Turu: A czemu próbujesz odpalić skrypt z graficznym interfejsem w terminalu?

  226. 226 empitt

    @Anonymous
    Ponieważ w terminalu może uruchomić dodatkowe opcje jakie oferuje skrypt.

    Wydałem pierwszą Betę Ubumatika 4, działa teraz? Resztę funkcji będę wprowadzać stopniowo, ponieważ nie mam tyle czasu aby zrobić to od razu.

  227. 227 righeira

    Dalej nie działa. Twierdzi, że brak połączenia z netem. Ciekawe w takim razie jak tego posta napisałem?

  228. 228 empitt

    @righeira, powinieneś zapytać się przede wszystkim swojego dostawcy internetowego dlaczego ich standardowe DNS-y mają taki bałagan, że ‚wget’ nie jest wstanie pobrać malutki pliczek (było już o tym mówione w komentarzach i na forum), ponieważ w skrypcie jest dobrze.

    Wyszła druga Beta i wprowadziłem pozostałe opcje oprócz jednej.

  229. 229 empitt

    Już jest Beta 3, udało mi się wprowadzić wszystkie opcje i testujcie jak działa.

  230. 230 righeira

    Nie mówię, że skrypt jest zły i doceniam włożoną pracę, ale co mi po nim skoro nie działa? Internet mam z iplusa, jak pewnie z milion ludzi w tym kraju, więc to nie żaden „egzotyczny” dostawca tylko jeden z głównych.

  231. 231 empitt

    @righeira, spróbuj zmienić domyślne DNS-y na Open DNS, zresetuj połączenie z internetem i wtedy uruchom skrypt.

  232. 232 empitt

    Udostępniłem ostatnią i stabilną wersję Ubumatika 4. Przetestowało oraz przeanalizowało kod kilka osób i wygląda na to, że wszystko jest w porządku (dla nich wielkie dzięki). Kilka dni temu został udostępniony Flash w wersji 10.2 Beta, więc warto uruchomić instalację Flasha jeszcze raz (wtedy Ubumatic zaktualizuje go do najnowszej Bety). Ogólnie porzucam dalszy rozwój tego skryptu, jedynie będę wprowadzać tylko drobne poprawki.

  233. 233 lama

    „Kilka dni temu został udostępniony Flash w wersji 10.2 Beta, więc warto uruchomić instalację Flasha jeszcze raz (wtedy Ubumatic zaktualizuje go do najnowszej Bety)”

    coś nie bardzo… ;) ustawiłem opcje: Ustaw zalecane repozytorium (obowiązkowe), Zainstaluj najnowsze aktualizacje, Zainstaluj Flasha i Javę dla przeglądarek www i dalej mam flash w wersji 10.1.102.65ubuntu0.10.10.1. dodam, że nie testowałem na świeżej instalacji ubuntu 10.10. ale to nie powinno mieć znaczenia. flash się pobiera do /tmp/ubumatic/ i potem kończy się praca skryptu – wyskakuje okno końcowe.

    innych opcji nie testowałem.

  234. 234 empitt

    @lama, zacznijmy od tego, że Ubumatic od dłuższego czasu nie instaluje Flasha z repo w postaci deb, tylko pobiera tar.gz ze strony Adobe. Teraz myślę, że już widzisz zasadnicza różnicę. Na tej stronie http://www.adobe.com/software/flash/about/ możesz sprawdzić jaką masz w systemie wersję Flasha, mnie pokazuje 10.3.162.29.

  235. 235 lama
  236. 236 lama

    zwracam honor. w firefox pokazuje mi tak: http://img148.imageshack.us/img148/2210/zrzutekranu2t.png
    ponownie uruchomiłem ubumatic, ale wersji 10.3.162.29 nie uzyskałem, ani w firefox, ani chrome.
    w każdym razie dzięki za wyprowadzenie z błędu.

  237. 237 empitt

    Ja mam 64 bitowe Ubuntu, a Ty 32 ;) Wygląda na to, że stabilny Flash 64 bitowy będzie nie wcześniej niż w wersji 10.3 (wcześniej planowali dla wersji 10.2).

  238. 238 empitt

    Dzisiaj udostępniłem nową wersję skryptu, ponieważ musiałem wprowadzić kilka zmian (dotyczą one Flasha).

  239. 239 JacekWawa

    empitt, masz chłopie anielską cierpliwość, szacunek

  240. 240 Maciek

    Link do ściągnięcia Ubumatic nie działa :(

  241. 241 mario_7

    już działa

  242. 242 mrlolekster

    Ja natomiast mam taki problem ze skryptem iz przed jego uruchomieniem karta sieciowa jest właczona i wszystko dobrze działa na usb live to samo lecz po odpaleniu skrypta i skonfigurowaniu sobie ubuntu karta sieciowa przestaje odpowiadac moj laptop to samsung n510 a router to nie live box tylko cisco bo czytalem na poczatku ze mieli jakies problemy z tym…to nie problem bo sobie skonf ubuntu recznie ale w sumie warto sie tym zainteresowac na przyszlosc ;) pozdrawiam

  243. 243 Tymoteusz

    Witam, czy nie mozna za przeproszeniem wypierdzielic tego kodu ktory sprawdza polaczenie z internetem? Przeciez jak ktos nie ma aktywnego polaczenia z internetem to nie otworzy tej strony i nie sciagnie tego cholernego skryptu, wiec o co tu w ogole chodzi? Po co to komu?

    Na wypadek gdybym zaniosl koledze skrypt na dyskietce?

  244. 244 Tymoteusz

    Ok, rozwiazanie problemu z polaczeniem internetowym:
    otworzyc skrypt edytorem tekstu, nacisnac ctrl+f (szukaj) wpisać np słowo „połączenie” żeby znaleźć tę część skryptu, lub udać się do wiersza 365 i zahaszować wszystko od 365 do 374.
    Zahaszować czyli wstawić # na początku linijki.

    a połączenie możecie sobie sprawdzić sami wchodząc na fejsbuka.

    Dziękuję, dobranoc.
    Czyńmy życie prostszym.

  245. 245 Jerowy

    @Tymoteusz, nie jest to wina skryptu, tylko waszych domyślnych DNS-ów i polecam zmienić na np. OpenDNS. Wtedy nie będzie wyskakiwać błąd o braku połączenia z internetem, a wywalenie tego kodu wcale nie rozwiąże problemu, ponieważ było już o tym (co z tego, że Synaptic ruszy, jak Wget nie będzie mógł ściągnąć Flasha).

  246. 246 Tymoteusz

    @Tymoteusz, nie jest to wina skryptu, tylko waszych domyślnych DNS-ów i polecam zmienić na np. OpenDNS. Wtedy nie będzie wyskakiwać błąd o braku połączenia z internetem, a wywalenie tego kodu wcale nie rozwiąże problemu, ponieważ było już o tym (co z tego, że Synaptic ruszy, jak Wget nie będzie mógł ściągnąć Flasha).

    Być może miałem szczęście, ale skrypt zadziałał jak marzenie i nie zgłosił żadnych błędów po tym jak zahaszowałem część w której sprawdza połączenie. Proszę mi wybaczyć złośliwości, ale uważam, że jeśli każda aplikacja z osobna działa w internecie a praktycznie wszystkie czynności wykonuję on-line i tylko jeden skrypt w ciągu ostatniego pół roku zgłosił mi problem z siecią, to przypomina mi to nieco przypadek, kiedy laptop znajomego z Windowsem Vistą stwierdził, że nie ma połączenia z internetem i żebym sprawdził swój router. Router był sprawdzony, bo Ubuntu i Android wówczas pobierały aktualizacje, więc jakoś nie podjąłem się przekopywania konfiguracji mojego routera tylko dlatego, że jedna maszyna z napisanym na odpierdziel systemem operacyjnym źle się czuje.

    A co wówczas kiedy dzielę internet ze współlokatorami i nie mam dostępu do panelu routera?

  1. 1 ABC Ubuntu » Blog Archive » Lśniący Lamparcik 10.04 PL – remiks Ubuntu 10.04 wydany !
  2. 2 Ubuntu 10.04 | Pogotowie informatyczne
  3. 3 Lśniący Lamparcik Xfce 10.04PL, czyli kolejny remiks z Ubuntu.pl – WYDANY!!! « Moje Ubuntu
  4. 4 Lśniący Lamparcik Xfce 10.04PL – pierwszy remiks forumowiczów z Ubuntu.pl – WYDANY :: Czytelnia Ubuntu
  5. 5 Lśniący Lamparcik Xfce 10.04PL, pierwszy remiks forumowiczów z Ubuntu.pl – WYDANY | thecamels.org
  6. 6 W oczekiwaniu na polski remiks Ubuntu 10.10 – skrypty konfigurujące :: Czytelnia Ubuntu
  7. 7 Ubumatic z RG2 (Restore GRUB2) – prosta instalacja programu rozruchowego z Ubuntu Live CD (Desktop) [aktualizacja] :: Czytelnia Ubuntu
  8. 8 Linux Ubuntu – przegląd dystrybucji | PCLife.PL – Gadżety oraz nowości technologiczne

Zostaw odpowiedź

Cytuj zaznaczony tekst